真空波動研 260101
2026/01/01

	・本体の変更

		・メインウインドウのメニューのショートカットキーが他ウインドウでも効いてしまうのを修正しました。
		  (詳細のコピー等)

		・詳細をクリップボードにコピーする際にプログラム名がファイル名になっているのを修正しました。

		・[設定]->[MirandaIMのWATrackに反応させる]を削除しました。

		・曲名送信関係の処理を削除しました。(今までは未使用として残していました)
		  libeay32.dll,ssleay32.dllが不要になります。

		・プレイリストに以下の修正を行いました。

			・右クリック->[選択ファイルを移動]が動かなくなっていたのを修正しました。

			・ツールバーを上下左右移動できるように変更しました。(上下はボタンを追加してあります)
			  左右移動後にゴミが残りますが、最小化→復帰等で戻ります。(対処できそうならします)

		・詳細ウインドウに以下の修正を行いました。

			・詳細の後にタグ情報を表示するように追加しました。タグの取得は同梱のTagLibを使用します。
			  形式によらない共通のタグのみ表示ですが、読み込めるファイルの形式、タグの種類はTagLibに依存するのでかなり多いです。
			  トラック名、アーティスト名、アルバム名、トラック番号、年号の5つになります。
			  ※TagLibの仕様上、ID3v1やID3v2でSJISのタグは文字化けします(歴史的な経緯はありますがこれは正しい仕様)

			・縦・横のスクロールバーを常時表示にしました。

		・画像のウインドウの余計な描画を減らしました。

	・DLLの変更

		・RIFFコンテナ(WAV)に以下の追加をしました。

			・チャプターの有無と数を表示するようにしました。

		・MP3に以下の修正をしました。

			・ffmpeg(libavcodec)でCBRでエンコードしたMP3がVBRと認識されるのを修正しました。

			・LAME3.90以下でエンコードしたMP3のエンコーダ名が途中で切れる場合があったのを修正しました。

			・VBRタグの種類と表示を整理しました。以下のパターンになります。
			  VBRI, Xing, Xing-LAME, Info, Info-LAME

		・QuickTime(MP4)コンテナに以下の修正をしました。

			・音声が無圧縮PCMの場合に解析に失敗するのを修正しました。(iPhoneのLive Photos等)

	・codecs.iniの変更

		・以下を追加しました。

			[QT-AUDIO]
			LPCM -> PCM
			OPUS -> Opus

真空波動研 250101
2025/01/01

	・本体の変更

		・タスクバーアイコンからツイートボタンを削除しました。

		・画像の表示方法を「ウインドウの縦サイズを維持したまま横サイズを可変」から「現在のウインドウサイズで画像を拡大縮小」
		  に変更しました。ウインドウサイズは変わらなくなります。

	・DLLの変更

		・QuickTime(MP4)コンテナ、Matroskaコンテナに以下の修正をしました。

			・メタデータ周りの読み込みを調整中です。(結果が良くないようであれば戻します)

			・Insta360 ACE PROで記録した動画で解析に失敗するのを修正しました。

			・AVC.H.264でUnknownProfile(xx)と出るプロファイルの追加をしました。

			・AVC.H.264でUnknownLevel(xx)と出るレベルの追加をしました。(5.2〜6.2まで)

	・codecs.iniの変更

		・以下を追加しました。

			[QT-AUDIO]
			EC-3 -> Dolby Enhanced AC-3

真空波動研 240310
2024/03/10

	・本体の変更

		・Twitterへの曲名送信ボタンを削除しました。

	・DLLの変更

		・TAK (*.tak)に対応しました。

		・EXE (*.exe,*.dll,*.vxd,*.scr等)に対応しました。

		・APEv2の埋込画像の抽出に対応しました。(JPEGのみ確認)

		・RIFFコンテナ(WAV)に以下の追加をしました。

			・WaveGainで適用したゲイン値の表示に対応しました。89dbを基準に相対差で記録されているゲイン値を表示します。
			  (MP3やAACのゲイン値と同じ表示です)

		・QuickTime(MP4)コンテナ、Matroskaコンテナに以下の修正をしました。

			・GoPro HERO 11,12 Blackで記録した動画で解析に失敗するのを修正しました。
			・DJI OSMO Action4で記録した動画で解析に失敗するのを修正しました。

真空波動研 230101
2023/01/01

	・本体の変更

		・Twitterへの曲名送信をhttp -> httpsに変更しました。
		  今回からlibeay32.dll, ssleay32.dllが同梱になります。無くても起動しますが曲名送信はできなくなります。
		  アクセストークン取得の方も合わせてkurohane.net側への通信はhttpsに変更してあります。

		・Twitterへの曲名送信に画像がある場合は含めてツイートする設定を追加しました。
		  [設定]->[画像がある場合は含めてツイートする]で有効になります。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI]
			LAGS -> Lagarith Lossless Video Codec

真空波動研 220101
2022/01/01

	・本体の変更

		・タスクトレイ格納時の右クリックメニューとタスクバープレビューに「曲名をツイート」のメニュー・アイコンを追加しました。
		  メインウインドウのツイートボタンと同じ機能です。

	・DLLの変更

		・Matroskaに以下の修正をしました。

			・Extraに全体ビットレートの表示を追加しました。
			  (ファイル全体なので実データ以外も含まれているレートです)

真空波動研 210704
2021/07/04

	・本体の変更

		・プレイリストの削除・リスト内でのアイテム移動(一つ上や下等)を高速化しました。
		  (たぶん速くなってると思います)

	・DLLの変更

		・RIFFコンテナ(WAV)に以下の修正をしました。

			・XMA/XMA2の詳細表示に対応しました。
			  (XMAで複数ストリームがあった場合の対応は一応してありますが実物が無いので未確認です)

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・映像がAVC/H.264の場合に解析に失敗する場合があったのを修正しました。
			・字幕(sbtlを使った方式)の数のカウントに対応しました。Extraの部分に[SubTitle/sbtl(xx)]で表示します。

		・Matroskaに以下の修正をしました。

			・V_MPEG4/ISO/ASPに対応しました。(MPEG4(advanced simple profile))
			・V_MPEG4/ISO/APに対応しました。(MPEG4(advanced profile))

	・codecs.iniの変更

		・以下を追加しました。

		  [WAV]
		  0165 -> XMA
		  0166 -> XMA2

真空波動研 210101
2021/01/01

	・本体の変更

		・[表示]->[詳細]に詳細を表示するだけのウインドウを追加しました。
		  読み込み専用のテキストなので選択してコピーができます。

	・DLLの変更

		・QuickTime(MP4)コンテナ、Matroskaコンテナに以下の修正をしました。

			・xHE-AACの音声に対応しました(通常のAACとして解析しておかしな結果が出てました)

		・FLACに以下の修正をしました。

			・ID3v2とID3v1に対応しました。

		・AIFFに以下の修正をしました。

			・解析で無限ループする場合があるのを修正しました。

真空波動研 200407
2020/04/07

	・DLLの変更

		・RIFFコンテナに以下の修正をしました。

			・WAVEの解析で応答なしになる場合があるのを修正しました。

		・FLACに以下の修正をしました。

			・ブロック長が0のヘッダがある場合にメモリの確保に失敗と出て解析に失敗する場合があるのを修正しました。

真空波動研 200101
2020/01/01

	・本体の変更

		・Twitterへの曲名送信について、アルバム名・アルバムアーティスト名・作曲者名を指定できるように追加しました。
		  曲名送信の書式についてはiniの隠し設定扱いで同梱のreadme.txtに加筆してありますので一読ください。

		・次の特殊キーに対応しました。(再生/停止・次曲・前曲)
		  イヤホンや各種機器等で操作できるかもしれません。

	・DLLの変更

		・RIFF AVIに以下の修正をしました。

			・NICONのデジカメで撮影した動画で映像のビットレート計算ができない場合があったのを修正しました。

			・解析で応答なしになる場合があるのを修正しました。

		・QuickTime(MP4)コンテナに以下の修正をしました。

			・AV1の映像の詳細に対応しました。アスペクト比とインターレース/プログレッシブの項目が無い以外はHEVCと同じ詳細です。

		・Matroskaコンテナに以下の修正をしました。

			・AV1の詳細を標準のものから専用のものへ変更しました。

			・AV1の詳細が取得できない場合は標準詳細として出すように変更しました。(WebMの一部?)

		・ID3v2の埋込画像の抽出に失敗する場合があったのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

			[QT-VIDEO]
			AV01 -> AOMedia Video 1

	・format.iniの変更

		・以下を追加しました。

			[AV1]
			VIDEOを新設、上記のAV1の映像の詳細で使用します。

真空波動研 190511
2019/05/11

	・本体の変更

		・190501からDwm系の関数を使ったためにXPで動かなくなっていたのを戻しました。
		  (自力で呼ぶようにしました)

		・非ダークモード時はプレイリストの罫線を出すように変更しました。

	・DLLの変更

		・RIFFコンテナに以下の修正をしました。

			・タグがあった場合のRIFFINFOの名前をSIFieldに変更しました。

		・RIFFコンテナ(WAV)に以下の修正をしました。

			・ID3v1,v2の有無を表示するように変更しました。

			・画像が埋め込まれている場合は表示する機能を追加しました。

真空波動研 190501
2019/05/01

	・本体の変更

		・MP3, Flac, TTA, QuickTime(iTunesで作成したAAC)で埋め込みの画像を表示する機能を追加しました。
		  抽出できた場合は[表示]->[画像]のウインドウに表示します。

		・[設定]->[Skypeに反応させる]を削除しました。

		・[設定]->[ダークモード]を追加しました。※次回起動後から
		  VCLのStyleを使った似非ダークモードなので、現状のWindows10(1809)より良い結果のダーク具合になりますが起動するまで1秒近く時間が余計にかかるようになります。
		  Windows10以外でもダークになり、Windows10上ではダークモードの設定の有効/無効に関係無く任意に変更できます。

		・プレイリストで[設定]->[操作バーを隠す]で、上部のバーを非表示にする設定を追加しました。

		・プレイリストの操作バーが非表示でも検索ができるように[検索]->[検索]を追加しました。
		  CTRL+Fで今まで検索文字の入力部分にフォーカスが移ってましたが入力ダイアログを出す方法に変更しました。

		・プレイリストに[設定]->[演奏前にファイルを再チェックする]を追加しました。
		  演奏前にそのファイルを自動で再検査します。

		・ダークモードの兼ね合いでプレイリストの罫線をOFFにしました。(白で罫線が出て見づらいため)

	・DLLの変更

		・以下の形式、コンテナで埋め込み画像の抽出に対応しました。真空波動研で使用します。
			MP3
			Flac
			TTA
			QuickTime(iTunesで作成したAAC)

		・ID3v2タグを扱う形式に以下の修正をしました。

			・画像が含まれている場合はID3v2(Picture)と表示します。

		・APEv2タグを扱う形式に以下の修正をしました。

			・APEと表示していたのをAPEv2に変更しました。

			・ReplayGain情報が含まれている場合はAPEv2(xx.xxdb/xx.xxdb)と表示します。
			  前者はトラックゲイン、後者はアルバムゲインで89.00dbを基準にした補正後の値になります。

		・ExtraのID3v2の表示に以下の修正をしました。

			・ID3v2が複数あった場合はExtraに1行で警告を出していたのをID3v2(x)と表示するように変更しました。
			  xは個数が入ります。1つの場合は括弧の表示をしません。

		・Matroskaコンテナに以下の修正をしました。

			・V_AV1に対応しました。(AOMedia Video 1)

			・V_VP9に対応しました。(Google VP9)

		・oggコンテナに以下の修正をしました。

			・ExtraのVorbisCommentの表示方法を1行に纏めるように変更しました。
			  表示できるものが全部付いてる状態での表示は VorbisComment(CueSheet/Chapter(x)/xx.xxdb/xx.xxdb/Picture) になります。

			・ReplayGain情報が含まれている場合はVorbisComment(xx.xxdb/xx.xxdb)と表示します。
			  前者はトラックゲイン、後者はアルバムゲインで89.00dbを基準にした補正後の値になります。

			・画像が埋め込まれている場合は表示する機能を追加しました。
			  本体側は180820aのEXEでそのまま対応します。

		・QuickTimeコンテナに以下の修正をしました。

			・ExtraのMetaDataの表示方法を1行に纏めるように変更しました。
			  表示できるものが全部付いてる状態での表示は MetaData(xx.xxdb/xx.xxdb/Picture) になります。
			  チャプターと字幕はMetaDataの情報ではないので、従来通り別行で表示になります。

			・ReplayGain情報が含まれている場合はMetaDataに表示するように変更しました。
			  前者はトラックゲイン、後者はアルバムゲインで89.00dbを基準にした補正後の値になります。

			・[MPEG4]と表示されるコンテナ名を[MP4]に変更しました。

		・RIFFコンテナに以下の修正をしました。

			・タグがあった場合のINFOTAGの名前をRIFFINFOに変更しました。

		・RIFFコンテナ(RMP3)に以下の修正をしました。

			・ID3v1の有無を表示するように変更しました。

		・AIFFに以下の修正をしました。

			・ID3v2の有無を表示するように変更しました。

			・画像が埋め込まれている場合は表示する機能を追加しました。

		・AACに以下の修正をしました。

			・ID3v1、ID3v2の有無を表示するように変更しました。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI]
			ULH0 -> Ut Video Codec YUV420 BT.709
			ULH2 -> Ut Video Codec YUV422 BT.709
			ULH4 -> Ut Video Codec YUV444 BT.709
			ULRA -> Ut Video Codec RGBA
			ULRG -> Ut Video Codec RGB
			ULY4 -> Ut Video Codec YUV444 BT.601
			UMH2 -> Ut Video Codec Type2 YUV422 BT.709
			UMH4 -> Ut Video Codec Type2 YUV444 BT.709
			UMRA -> Ut Video Codec Type2 RGBA
			UMRG -> Ut Video Codec Type2 RGB
			UMY2 -> Ut Video Codec Type2 YUV422 BT.601
			UMY4 -> Ut Video Codec Type2 YUV444 BT.601
			UQRA -> Ut Video Codec Pro RGBA 10bit
			UQRG -> Ut Video Codec Pro RGB 10bit
			UQY2 -> Ut Video Codec Pro YUV422 10bit

			[QT-VIDEO]
			VP09 -> Google VP9

		・以下を変更しました。

			[AVI]
			ULY0	Ut Video Codec YUV420 BT.601
			ULY2	Ut Video Codec YUV422 BT.601

真空波動研 180820
2018/08/20

	・DLLの変更

		・CRI HCA (*.hca)に対応しました。VBRのHCAは未チェックです。

	・本体の変更

		・[動作]メニューを[設定]へ名前の変更をしました。

		・プレイリストに以下の変更・修正をしました。

			・検索機能をリスト上部のテキストボックスに入力する方法に変更しました。入力後にENTERで次候補への検索ができます。
			  リスト上でCTRL+Fでテキストボックスにフォーカスが当たり、ESCでリストにフォーカスが当たります。

			・ネットワークドライブ経由のファイルを登録した場合、再生中のファイルをダブルクリック(やENTER)した際の
			  一時停止/復帰が効かないのを修正しました。

			・再生や停止のボタン類のヒント表示が出ていなかったのを修正しました。

			・ボタン類にフォーカスが当たるように変更しました。(TABキーに反応するように)

	・format.iniの変更

		・[HCA]

			・AUDIOを新設、上記のHCA形式で使用します。

真空波動研 180519
2018/05/19

	・本体の変更

		・立ち上げたままWindowsを終了させた場合に設定やリストが消える(または一部破損)場合があるのを修正しました。

	・DLLの変更

		・QuickTimeコンテナ(MP4)、Matroskaコンテナ、MPEG2-TSに以下の修正をしました。

			・HEVC/H.265の縦横サイズ計算でクロッピングの処理が抜けていたのを修正しました。

			・HEVC/H.265のプロファイル表示にティアも表示するように追加しました。プロファイル@レベル@ティアの表示になります。

真空波動研 180303
2018/03/03

	・本体の変更

		・プレイリストで1行でも選択している場合、リストのスクロールができない状態になっていたのを修正しました。
		  (スクロールをしても選択行が見える位置まで戻されてました)

	・DLLの変更

		・QuickTimeコンテナ(MP4)、Matroskaコンテナ、MPEG2-TSに以下の修正をしました。

			・HEVC/H.265の映像に対応しました。
			  詳細の形やformat.iniのセクションはAVC/H.264と同じ部分を共用します。

		・MP3に以下の修正をしました。

			・Lame 3.100で出力したMP3で、CBRエンコードなのにVBRと表示されるのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

			[QT-BRAND]
			H265 -> High Efficiency Video Coding
			他、追加多数

			[AVI]
			追加多数

		・以下を変更しました。

			[AVI]
			変更多数

真空波動研 171022
2017/10/22

	・本体の変更

		・Windows10 Fall Creators Updateが適用された環境で、以下の条件でハングアップしてしまうのを修正しました。
		   1 : 真空波動研が既に起動済み
		   2 : [多重起動を許可する]のは未チェック
		   3 : 関連付け起動、またはアイコン/ショートカット経由で次に再生したいファイルをドロップした

	・DLLの変更

		・RIFF WAVEに以下の変更をしました。

			・BWFのWAVEで解析に異常に時間がかかる場合があるのを修正しました。

		・CRI ADX (*.adx,*.aix)に対応しました。AIXはch数がそのままストリーム数になります。
		  AIXのビットレートと再生時間は少々怪しいかもしれません。

		・oggに以下の変更をしました。

			・Vorbisのタグ(VorbisComment)の検出方法を変更しました。
			  (作成に使ったエンコーダによって検出できない場合があったため)

	・format.iniの変更

		・[ADX]

			・ADX,AIXを新設、上記のADX形式で使用します。

真空波動研 170720
2017/07/20

	・DLLの変更

		・AIFFに以下の変更をしました。

			・ほとんどの場合で解析が終わらず固まってしまうのを修正しました。

			・ID3v2タグの検出に対応しました。

真空波動研 170226
2017/02/26

	・DLLの変更

		・WavPackに以下の変更をしました。

			・ビットレートを展開前のレート表示(以前と同じ)に戻しました。
			  Matroskaに格納時は以前と同じく0kb/sになります。

		・MSFフォーマット(PS3等で使われているコンテナ)に対応しました。

	・format.iniの変更

		・以下を追加しました。

		[MSF]
		新設

	・codecs.iniの変更

		・以下を追加しました。

		[QT-VIDEO]
		HEV1 -> HEVC/H.265

真空波動研 161107
2016/11/07

	・本体の変更

		・[動作] -> [関連付け]を[既定のプログラム一覧に登録/解除]に変更しました。Vista以降の
		「既定のプログラム」の一覧に登録します。登録だけで実際の関連付けは既定のプログラムの方で行ってください。
		レジストリに書き込みをするので登録と削除の時だけ管理者権限での起動が必要です。

	・DLLの変更

		・WavPackに以下の変更をしました。

			・不明なBlockType(40)と出て解析できないファイルがあるのを修正しました。
			  (WavPack v5.0.0 alpha2で確認)

			・拡張WAVEが使われている場合はサブセット名の取得等RIFF WAVEと同じとなるように変更しました。

			・WavPack v5以降でサポートされるDSDとDSDIFFの圧縮に対応しました。

		・RIFF WAVEに以下の変更をしました。

			・JUNKチャンクの位置によって解析に失敗する場合があるのを修正しました。

		・Matroskaに以下の変更をしました。

			・WavPack関係の変更を反映しました。

	・format.iniの変更

		・以下を追加しました。

		[WAV-EXT]
		47E142D2-36BA-4D8D-88FC-61654F8C836C -> Sony ATRAC9

		・以下を変更しました。

		[WAVPACK]
		音声詳細は元の形式をそのまま使うように変更しました。

真空波動研 160508
2016/05/08

	・本体の変更

		・ホイールの回転で音量の変更ができるようにしました。
		  変化の単位は2%ずつですがiniの隠しオプションで変更可能です。
		  (Mainセクションに WheelVolUpDownRate=2)

		・Twitterへ曲名の送信をする際のフォーマットを変更できるようにしました。
		  iniの隠しオプションで変更可能です。
		  (TwitterSendFormat=♪ #TITLE# - #ARTIST# #nowplaying #なうぷれ)
		  #TITLE# と #ARTIST# が置換されます。改行は\nで可能です。

	・DLLの変更

		・RIFF WAVEでID3v1,ID3v2の検出を表示するように変更(イレギュラーなものなので読み取れるかどうかはソフト次第)

		・RIFF WAVEでループ情報(smplチャンク)がある場合にExtraとして表示するようにしました。

		・AIFFにAIFF/AIFF-Cの判別や圧縮方法の表示を追加しました。

	・codecs.iniの変更

		・以下を追加しました。

		[AIFF]
		新設

	・format.iniの変更

		[AIFF]
		今回に合わせて表示フォーマットの変更。

真空波動研 151101
2015/11/01

	・本体の変更

		・High DPIに対応しました(Windows8以降Per-Monitor DPIには非対応)

	・DLLの変更

		・DSD Stream File (*.dsf)に対応しました。

		・Direct Stream Digital Interchange File Format (*.dff)に対応しました。

		・Wideband Single-bit Data (*.wsd)に対応しました。

		・その他、何かを修正したので何かが治っていると思います(失念)

	・format.iniの変更

		・[DSD]

			・AUDIOを新設、上記のハイレゾ形式3種類で使用します。

真空波動研 150418
2015/04/18

	・DLLの変更

		・CODECS.INIの項目検索が部分一致の為に誤判定を起こす場合があるのを修正しました(一度ありました)

		・150309の拡張WAVE対応で、拡張WAVEのCODEC名が全て不明扱いになっていたのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI-DIVX]
		DivX503b1393 -> DivX 5.3.0(XviD 1.3.2)

		[AVI-XVID]
		XviD0064 -> XviD 1.3.2
		XviD0065 -> XviD 1.3.3

真空波動研 150309
2015/03/09

	・DLLの変更

		・RIFFコンテナに以下の修正をしました。

			・拡張WAVE(Extensible Wave)の場合は、サブセット名(Codec名のようなもの)の取得と、チャンネル構成を取得するように変更しました。
			  コンテナ名はRIFF(WAVE-EXT)に変わります。

		・MPEG2-TSに以下の修正をしました。

			・PCR/PTS/DTSラップアラウンドを起こしているtsでの再生時間計算に仮対応しました。(真空はPTSを使用)
			  まだ不完全で、再生時間がおかしく算出される場合があります。

	・codecs.iniの変更

		・以下を追加しました。

		[WAV-EXT]

			・拡張WAVE用に新設。

	・format.iniの変更

		・[RIFF]

			・EXTWAVを新設。

真空波動研 141104
2014/11/04

	・DLLの変更

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・DTS音声(MP4として格納されている方)に対応しました。

			・ムービーフラグメントの処理を変更しました。
			  (恐らく見た目には何も影響はないはずです)

	・本体の変更

		・SkypeのAPI廃止(2013/12)ですが一部APIはまだ残っている為、
		  [動作]->[Skypeに反応させる]
		  の機能を復活させました。動作条件等は以前と全く同一です。

	・codecs.iniの変更

		・以下を追加しました。

		[QT-VIDEO]
		DASH -> MPEG-DASH
		※他、現状の資料をベースに結構な数を差し替えました

真空波動研 140713
2014/07/13

	・SuperLiteCという、コマンドライン版を作成しました。SuperLiteに入れてあります。

	・DLLの変更

		・内部で詳細を組み立てる際の改行を\r\nから\nに変更しました。
		  (SuperLiteC向けの変更)

		・oggコンテナとMatroskaコンテナに以下の修正をしました。

			・Opusに対応しました。(出せる情報は少ないですが)

	・codecs.iniの変更

		・以下を追加しました。

		[AVI]
		AMV4 -> AMV4 Codec

	・format.iniの変更

		・[OGG]

			・OPUSを新設。

真空波動研 140405
2014/04/05

	・本体の変更

		・Twitterへ再生中の曲名を投稿する機能を追加しました(動作->Twitterへ曲名の送信をする)。
		  予め同梱の別ツールでアクセストークンの取得・保存をしておく事とmp3infpが必要です。
		  ツイートはメインウインドウ左のコントロールの右下のTwitterアイコンで行います。
		  詳しくはTwitterRegistフォルダのREADME.TXTを参照してください。
		  ONにした場合は真空波動研を再起動後から有効になります。

		・Windows7以降のタスクバーアイコンのプレビューに再生や停止等のアイコンを追加しました。
		  プレイリストにあるボタン群と同一の動作をします。

	・DLLの変更

		・RIFFコンテナ、FlashVideoに以下の修正をしました。

			・コード整理の際にメモリリークするエンバグをしていたのを修正しました(例外が出る場合がありました)。

		・RIFFコンテナに以下の修正をしました。

			・WAVEで再生時間の計算時に0除算が出るファイルがあるのを修正しました(再生時間が0秒になります)。

		・MPEG2に以下の修正をしました。

			・プロファイルやインターレース種別が取得できなかった場合に例外が出ていたのを修正しました。

真空波動研 140101
2014/01/01

	・本体の変更

		・Windows7以降のタスクバーアイコンへのプログレスバー表示に対応しました。
		  再生中の現在位置に応じて色が付きます。

		・プレイリストで1つも項目が選択されていない場合に範囲選択や選択の切り替えを行うと例外が出続けるのを修正しました。

		・SkypeのAPI廃止(2013/12)とLiveMessengerのサービス終了(2013/4/8)に伴って
		  [動作]->[MSN Messengerに反応させる]
		  [動作]->[Skypeに反応させる]
		  の機能を削除しました。

	・DLLの変更

		・Matroskaコンテナに以下の修正をしました。

			・Unknown CodecID V_MPEGH/ISO/HEVC をHEVC/H.265の映像として認識するように修正しました。
			  (まだ標準詳細です)

			・Unknown CodecID A_ALAC をApple Lossless Audioの音声として認識するように修正しました。

			・AACのビットレート計算を変更しました。実測に「近いかもしれない」値になります。
			  現状よりはかなり近くなりますが、ものによっては異様に低い値が出る可能性もあります。

		・MPEG2-TSに以下の修正をしました。

			・HEVC/H.265に仮対応しました(名前だけの表示)

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・Apple Lossless Audioのサンプリングレートが正しく出ないのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		[QT-VIDEO]
		HVC1 -> HEVC/H.265

真空波動研 130818
2013/08/18

	・本体の変更

		・プレイリスト上で項目を消して選択が消えた状態で最小化->復帰をすると例外が出ていたのを修正しました。

	・DLLの変更

		・Matroskaコンテナに以下の修正をしました。

			・実データを参照する形式で実データが欠落してる場合、標準詳細が出ていなかったのを修正しました。

			・Unknown CodecID S_HDMV/PGS をPGS字幕としてカウントするように修正しました。

真空波動研 130324
2013/03/24

	・本体の変更

		・コンパイラをC++BuilderXE2からC++BuilderXE3に変更しました。
		  プロジェクトもC++BuilderXE3で新規に作り直して細かい設定の見直しをしました。

		・iniとプレイリストをマルチユーザー対応にしました。
		  ini名、プレイリスト名それぞれの最後にアンダースコア+ログオンユーザー名が付きます。
		  今までのを引き継ぐにはリネーム(プレイリストは読み込みでもOK)してください。

	・DLLの変更

		・コンパイラをC++BuilderXE2からC++BuilderXE3に変更しました。
		  プロジェクトもC++BuilderXE3で新規に作り直して細かい設定の見直しをしました。

		・QuickTimeコンテナ(MPEG4)、Matroskaコンテナに以下の修正をしました。

			・映像がAVC/H.264の場合に解析に失敗する場合があったのを修正しました。

			・音声がAACの場合の似非SBR(!SBR)判定方法を変更しました。
			  コンテナ側のサンプリングレートの倍がAAC側と同じだった場合に付くようになります。
			  (今まではコンテナ側と違った場合は全て付くようになってました)

		・FlashVideoに以下の修正をしました。

			・音声にLinearPCMを使っている場合、音声がUnknown(3)の表示になるのを修正しました。
			  他の対応形式で未確認も数種類、修正してあります。

真空波動研 130101
2013/01/01

	・DLLの変更

		・MPEG1/2に以下の修正をしました。

			・120813から映像がVBRの場合にビットレートの計算がおかしくなっていたのを修正しました。

		・QuickTimeコンテナ(MPEG4)、Matroskaコンテナ、MPEG2-TSに以下の修正をしました。

			・映像がAVC/H.264の場合で、High 4:4:4プロファイルが認識できていなかったのを修正しました。

		・QuickTimeコンテナ(MPEG4)、Matroskaコンテナに以下の修正をしました。

			・音声がAACの場合にコンテナ側と情報が食い違ってた場合のSBR,PS判定が動かなくなっていたのを修正しました。
			  表示も若干変わり、+(!SBR)と+(!PS)どちらか(または両方)がプロファイルに付加されます。

			・音声がAACだった場合のサンプリングレートのフリー指定に対応しました。
			  (実物が無いので確認はできていません)

		・Matroskaコンテナに以下の修正をしました。

			・古いVirtualDubModで出力されたMatroskaで音声(MP3,AC3,DTS)が認識できていなかったのを修正しました。

			・121014で行った「SimpleBlock構成のもの〜」がそもそも間違っていたのを修正しました。動作に変わりはありません。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI-XVID]
		XviD0057 -> XviD 1.3.-127 Dev
		XviD0061 -> XviD 1.3.0 RC1
		XviD0062 -> XviD 1.3.0 Final
		XviD0063 -> XviD 1.3.1 Final
		XviD0070 -> XviD 1.4.-127 Dev

真空波動研 121014
2012/10/14

	・DLLの変更

		・RIFFコンテナに以下の修正をしました。

			・AVIで無限ループに陥る場合があったのを修正しました。

		・Matroskaコンテナに以下の修正をしました。

			・最近のmkvmargeで作成したファイル(SimpleBlock構成のもの)でMPEG Audio、AC-3、DTSの詳細が標準詳細になっていたのを修正しました。

			・数Gクラスの大きいファイルで字幕が含まれている場合、解析に数十秒単位の時間がかかっていたのを修正しました。
			  大きくないファイルでも字幕が含まれている場合は若干の高速化になります。

真空波動研 120813
2012/08/13

	・本体の変更

		・コンパイラをC++Builder XE2に変更しました。

		・ALT+ENTER(もしくはF)でフルスクリーンにした際、同じ操作で元に戻らない場合が多かったのを修正しました。

		・フルスクリーン時に画面1/4ではなく画面1/2にしていたのを修正しました。

		・ESCでフルスクリーンの解除をできるように修正しました。

		・[動作] -> [Skypeに反応させる]を追加しました。MSMメッセンジャーへの曲名送信と条件は同一になります(要mp3infpなど)
		  起動時、Skypeからの疎通応答待ちを最大5秒で待つので大体で1秒くらいは待たされるかもしれません。
		  初めてこの機能を使う場合や真空波動研をバージョンアップした場合はSkype側で許可する/しないの案内が出るので許可してください。

	・DLLの変更

		・コンパイラをC++Builder XE2に変更しました。

		・FlashVideoに以下の修正をしました。

			・音声の解析で例外が出る場合があるのを修正しました。

		・RIFFコンテナ(AVI)に以下の修正をしました。

			・音声が標準詳細でビット深度0の場合に#BITDEPTH#が置き換えされてなかったのを修正しました。

		・QuickTimeコンテナ(MPEG4)、Matroskaコンテナ、MPEG2-TSに以下の修正をしました。

			・映像がAVC/H.264の場合の詳細にインターレースの状態(Interlace、Progressive)を追加しました。

		・Matroskaコンテナ、MPEG2-TS、MPEG2に以下の修正をしました。

			・映像がMPEG2場合の詳細にプロファイル、インターレースの状態(Interlace、Progressive)を追加しました。

		・format.iniの詳細行を1行あたり最大で477バイトまで扱えるように修正しました。
		  (1行512文字から項目名最大32バイト - タブ1バイト - 改行2バイト)

	・format.iniの変更

		・以下を変更しました。

			[AVC]
			VIDEO -> #INTERLACE#を追加しました。

			[MPEG1/2]
			VIDEO -> MPEG1とMPEG2に分離、MPEG2の方に#PROFILE#と#INTERLACE#を追加しました。

真空波動研 120506
2012/05/06

	・DLL側の変更

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・トラック数が10を超える場合に例外が出ていたのを修正しました。

			・字幕(subpを使った方式)の数のカウントに対応しました。Extraの部分に[SubTitle/subp(xx)]で表示します。

			・ムービーフラグメント有りの動画を読み込んだ後の動作が不安定になるのを修正しました。

			・映像がAVC/H.264の場合にサイズ等が全て0と解析される場合があるのを修正しました。

		・Matroskaコンテナに以下の修正をしました。

			・QuickTime側に合わせて字幕の数の表示を変更しました。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI]
			FLV4 -> FlashVideo VP6(ffdshow)

真空波動研 120101
2012/01/01

	・本体の変更

		・プレイリストをサイズでソートする際に2Gを超えるサイズのファイルがあると例外が出てソートできなかったのを修正しました。

真空波動研 110813
2011/08/13

	・DLL側の変更

		・QuickTimeコンテナ(MPEG4)、Matroskaコンテナ、MPEG2-TSに以下の修正をしました。

			・映像がAVC/H.264の場合にメモリリークを起こしていたのを修正しました。

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・映像がMPEG4の場合にアスペクト比(SAR)の表示を追加しました。

			・110101以降からムービーフラグメントがある場合に総フレーム数の足し込みがされなくなっていたのを修正しました。

		・QuickTimeコンテナに以下の修正をしました。

			・音声がDolby AC-3の場合は実データを参照して詳細を出すようにしました。

		・oggコンテナに以下の修正をしました。

			・総フレーム数が少なく出ていたのを修正しました。

		・MPEG2-TSに以下の修正をしました。

			・ストリームが検索しきれない場合があったのでデータの読み込み範囲を前後1Mバイトから4Mバイトに変更しました。

			・再生時間の算出に失敗する場合があったのを修正しました。(まだ不完全)

			・音声がAACの際にビットレートを計算するように変更しました。

		・Matroskaコンテナに以下の修正をしました。

			・Dolby TrueHD音声に対応しました。(A_TRUEHD)
			  表示は今の所、Matroska形式の標準詳細のみになってます。

			・音声がAACの際にビットレートを計算するように変更しました。
			  (AACの旧格納方式には対応していません(かなり古いMatroska))

	・codecs.iniの変更

		・以下を追加しました。

			[QT-AUDIO]
			AC-3 -> Dolby AC-3

	・format.iniの変更

		・以下を変更しました。

			[QUICKTIME]
			MPEG4 -> 廃止しました、[AVC] -> VIDEOが使われます。

			[RIFF]
			VIDEO1とVIDEO2をVIDEOに変更、#BITDEPTH#は必ず出るようになりました。
			AUDIO1とAUDIO2をAUDIOに変更、#BITDEPTH#は必ず出るようになりました。

真空波動研 110406
2011/04/06

	・本体の変更

		・プレイリストに[動作]->[表示フォント]を追加、リストの表示フォントが変更できるようにしました。
		  色と言語セット以外は反映されます。
		  フォントのサイズを変えた場合、リストのグリッドが元のままで描画がおかしくなる場合がありますが、
		  そのまま真空波動研を一度再起動してください。(対策方法が解れば直します)

	・DLL側の変更

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・映像がAVC/H.264時は詳細の組み立てに[QUICKTIME]->MPEG4を使用していたのを[AVC]->VIDEOに変更しました。
			  表示にアスペクト比が追加されます。
			  (H.264ではなくMPEG4だった場合は従来通りです)

		・Matroskaコンテナに以下の修正をしました。

			・映像がAVC/H.264時は詳細の組み立てに[QUICKTIME]->MPEG4を使用していたのを[AVC]->VIDEOに変更しました。
			  表示にアスペクト比が追加されます。

		・MPEG2-TSに以下の修正をしました。

			・LinearPCMの詳細組み立てに[MPEG2-TS]->LCPMを使用していたtypoを修正しました。(LPCM)

		・MPEG1/2に以下の修正をしました。

			・詳細に映像のビットレートがCBRかVBRの表示を追加場合、VBRの場合は概算の平均レートを表示するように変更しました。

		・S98 (*.s98)に対応しました。

	・format.iniの変更

		・[AVC]

			・#FRAME# を追加しました。

		・[MPEG2-TS]

			・LCPM -> typoにつきLPCMに変更しました。

		・[MPEG1/2]

			・VIDEO1 -> VIDEOに変更、#BIRTATEMODE# を追加しました。
			・VIDEO2 -> 削除しました。
			・AUDIO -> LPCM以外の使い道が無いのでLPCMに変更しました。

		・[S98]

			・新設。

	・format.txtの内容にかなり抜けがあるので加筆しました。

	・format.iniの内容にコメントを加筆しました。

真空波動研 110101
2011/01/01

	・本体の変更

		・プレイリストに以下の変更をしました。
		
			・[検索]を追加しました。部分一致でファイル名の検索ができます。

			・[ファイル]->[フォルダを開く]のショートカットキーを削除しました。
			  (検索にCTRL+Fを割り当てたため)

			・[動作]->[同じファイルは複数登録をしない]を追加しました。
			  リストに登録する際に重複するファイルを登録しなくなります。

		・アイコンを高解像度対応のものに差し替えしました。前に頂いたアイコンは分離しておまけとして同梱してあります。
		  (32x32の他に48x48,96x96,256x256を同梱)

	・DLL側の変更

		・QUALCOMM PureVoice形式(*.qcp)に対応しました。

		・RIFFコンテナ(AVI)に以下の修正をしました。

			・構造がおかしい状態のAVIで0除算エラーが出る場合があるのを修正しました。

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・数Gクラスの大きいファイルで映像ビットレートの値がかなり低く出てしまうのを修正しました。

			・音声がQUALCOMM PureVoice形式のものに対応しました。
			  (ビットレートは不正確だと思われます)

		・MPEG2-TSに以下の修正をしました。

			・Dolby TrueHDに仮対応しました(名前だけの表示)

			・LinearPCMを認識できない場合があった(ストリームIDが0x80)のを修正しました。

			・MPEG2-Audio音声に対応しました。

			・ストリームのPIDの並び順がPMTと違う場合に詳細を取りこぼすストリームがあったのを修正しました。

	・format.iniの変更

		・[AC3]

			・Dolby AC-3と文字で表示していたのを#CODEC#に置き換えました(今後のDolby TrueHDとの兼ね合い)

	・codecs.iniの変更

		・以下を追加しました。

			[AVI-DIVX]
			DivX503b1856 -> DivX 6.1.1
			DivX503b2121 -> DivX 6.4(TMPGEnc 4.0.3.169)
			DivX503b3013 -> DivX 6.8.5

真空波動研 100805
2010/08/05

	・本体の変更

		・フルスクリーンから戻った際にコントロールの部分がFullScreenのままになっていたのを修正しました。
		  (その状態でコントロール非表示を選ぶとフルスクリーンになっていたのも治ります)

		・ALT+ENTERでフルスクリーンにした再にALT+ENTERで元に戻らないのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI]
			FLV1 -> FlashVideo VP6(ffdshow)

真空波動研 100701
2010/07/01

	・本体の変更

		・[表示]->[コントロール非表示]を有効のまま終了させると次から起動しなくなるのを修正しました。

		・メインウインドウとプレイリストに[ファイル]->[プロパティ]を追加しました。
		  (プレイリストの右クリック最下段にも付けてあります)

	・DLL側の変更

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・100101から音声がAACで付帯情報のビットレートが0だった場合、トラック側のビットレートを使わずに0と表示していたのを修正しました。
			  (この状況でムービーフラグメント有の場合、ビットレートが狂いますが仕様とします)


	・おまけとしてコアをWMP6.4に戻したバージョンを作ってみました。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI]
			WVC1 -> Windows Media VC-1

真空波動研 100605
2010/06/05

	・本体の変更

		・再生速度の可変の上限(標準は200%)を引き上げるオプションを隠し扱いで追加しました。
		  ([Main]セクションのWMPRateMax、指定の%を10で割った値を入れます、1000%なら100、標準は200%なので20)

		・[動作]->[再生前に読取専用属性を付加する]の挙動を変更しました。
		  付けた読み取り専用属性の解除は終了時に纏めてするようにしました。
		  WMP側に書き換えられる確立はかなり減りますがそれでもまだ抜ける場合があるようです。

		・iniに直接指定する隠しオプション扱いのものに関してReadme.txtに追記しました。

	・DLL側の変更

		・Matroskaコンテナに以下の修正をしました。

			・V_VP8へ標準詳細で対応しました。GoogleのWebMで使われています。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI-DIVX]
			DivX503b1594 -> DivX 6.0.0(DivX Converter 1.0)
			DivX503b1974 -> DivX 6.2.5

		・以下を変更しました。

			[AVI-DIVX]
			DivX503b1314 DivX 5.2.1 Beta -> DivX Pro 5.2.1(X-Transcoder)
			DivX503b1394 DivX 5.3.0 Plasma Alpha -> DivX 5.3.0 Plasma Alpha Build 1394
			DivX503b1408 DivX 5.3.0 Plasma Alpha -> DivX 5.3.0 Plasma Alpha Build 1408
			DivX503b1453 DivX 5.9 Fusion -> DivX 5.9 Pro Fusion Beta Build 1453
			DivX503b1461 DivX 5.9 Fusion -> DivX 5.9 Pro Fusion Beta Build 1461
			DivX503b1988 DivX 6.2.5 -> DivX 6.2.5(DivX Converter 6.2.1)
			DivX503b2151 DivX 6.4(?) -> DivX 6.4(DivX Author)

真空波動研 100518
2010/05/18

	・コア変更で機能に関してそれなりの変更が多いです。
	  README.TXTに一度目を通しておくのが良いと思います。

	・本体の変更

		・再生コアをMediaPlayer6.4から9以降のものに変更しました。
		  動作にはWindowsMediaPlayer9以降が動作する事が条件になります。

		・[動作] -> [多重起動を許可する]がいつの間にか機能していなかったのを修正しました。

		・[動作]->[タスクトレイアイコンを使用しない]を復活させました。

		・区間リピート開始ボタンをチェックボックスに変更しました。
		  (100503から動かなくなってました)

		・[動作]->[再生前に読取専用属性を付加する]を追加しました。
		  主にWMP11向けの機能で、WMPにファイルを渡す前に読取専用属性を付加してWMP11がMP3を勝手に書き換えてしまう事への強引な対策を行います。
		  再生するファイルを変更した時点で、その前までのファイルは属性を随時解除します。
		  (手間上、MP3に限らず全ての形式で付加します)

		・主に見た目周りの細かい変更(開発環境変更での移行ミス等)

		・WindowsMediaPlayer側で音量を変えた場合に真空側も追従するように変更しました。

		・EXEと同じ場所にDLLがあるのにDLLの読み込みに失敗する場合があるのを修正しました。
		  (Windows7のみ?)

		・MP3INFP.DLLがあるのにDLLの読み込みに失敗する場合があるのを修正しました。
		  MP3INFP.DLLはEXEと同じ場所を探し、無ければシステムディレクトリ(通常は\Windows\System32)を探して、
		  先に見つかった方を使用します。
		  (Windows7のみ?)

		・Unicodeが扱えるバージョンのmp3infpが使用できる状態であれば優先して使用するように変更しました。
		  (mp3infp Unicode版 Ver.2.54i/u1)

		・アンチウイルスソフトの誤検知の元になるため、UPXによるEXEの圧縮を止めました。

	・DLL側の変更

		・アンチウイルスソフトの誤検知の元になるため、UPXによるDLLの圧縮を止めました。

真空波動研 100503
2010/05/03

	このバージョンからDLL、EXE共にUnicode専用版となるため動作OSがWindows2000以降となります。

	・DLL側の変更

		・コンパイラをC++Builder6からC++Builder2010に変更しました。

		・Unicode対応の為の関数を追加しました。

		・MPEG2-TSに以下の修正をしました。

			・PATとPMTを参照するように変更しました。
			  PATの存在を必須としてますが現状PC上で扱うTSではPATが無いという状態は少ないので当面このままにします。

			・AVC/H.264の映像に対応しました。
			  最初に検出したSPSの情報を使うのでVFRやVBRのデータではレート関係はアテになりません。(ワンセグ等)

			・AC-3音声に対応しました。

			・DTS音声に対応しました。

			・LinearPCMに対応しました。

			・再生時間の計算に対応しました。


	・本体側の変更

		・コンパイラをC++Builder6からC++Builder2010に変更しました。
		  コンパイラの変更で以下の対応、挙動の変化があります。

			・Vista/7からの「ファイルを開く」等のダイアログがネイティブなものに変化

			・Vista/7からのFlip3Dでの表示に対応

			・7からのタスクバー上でのウインドウ選択に対応

			・ヒント表示が画面を「跨がなく」なりました(C++Builder3で作成していた頃の挙動に戻りました)

		・iniとプレイリストはUnicodeで保存されるように変更しました。
		  元のShiftJISの形式でファイルが残っているとUnicodeで上書きできないようなので、
		  コンバートできる方はUTF-16LEにコンバートするか、一旦iniとプレイリストを消してください。

		・EXEの名前を変更して起動した場合、iniとプレイリストの名前もEXEの名前に追従するように変更しました。

		・プレイリストのm3u8形式での読み込み/保存に対応しました。

		・m3u8、m3u形式は相対パスで記録するように変更しました。

		・m3u8、m3u形式で拡張形式の場合は該当の行を読み飛ばすように変更しました。

		・タスクトレイアイコンの挙動を変更しました。最小化時のみ、自動で出るようになります。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI]
			VP6F -> On2 VP6(ffdshow)

	・format.iniの変更

		・[AVC]

			・新設。
			  現在はMPEG2-TSで映像がAVC/H.264だった場合に使われます。

真空波動研 100307
2010/03/07

	・本体とDLLに変更はありません。(バージョン数字を合わせたのみ)

真空波動研 100101
2010/01/01

	・DLL側の変更

		・ConvertOneとConvertFullに必要なバッファサイズを調べる関数を追加しました。

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・3GPP2のムービーフラグメントに対応しました。フラグメント数と有無はExtraに出ます。

	・本体側の変更

		・mixi music終了予定(12/10)の為、
		  [動作] -> [mixi stationに反応させる]
		  [動作] -> [mixi station for winampプラグイン設定]
		  の機能を削除しました。

	・codecs.iniの変更

		・以下を追加しました。

			[AVI]
			HYMT -> HuffYUV MT

			[AVI-DIVX]
			DivX503b2991 -> DivX 6.8.5(TMPGEnc 4.7.3.292)

		・以下を変更しました。

			[QT-BRAND]
			最新定義に追従、追加と変更が大量。

		・以下を削除しました。

			[QT-TYPE]
			実は結構前から未使用につき削除。

真空波動研 090902
2009/09/02

	・DLL側の変更

		・AACに以下の修正をしました。

			・3ch以上の場合のチャンネルオーダーの表記順が間違っていたのを修正しました。(L+R+C -> C+L+R等)

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・実データ部が4Gを超えるファイルでデッドロック又は例外が出る場合があるのを修正しました。

		・oggコンテナに以下の修正をしました。

			・ページサイズが0のページがある場合に例外が出るのを修正しました。

真空波動研 090613
2009/06/13

	・本体側の変更

		・[動作] -> [MSN Messengerに反応させる]を追加しました。(変更の反映は再立ち上げ後)
		  MSN(Live!)Messengerへ再生中の曲名、アーティスト名を送信します。
		  詳しい動作は条件はreadme.txtの[MSN Messengerに反応させる について]を見てください。

		・[動作] -> [mixi stationに反応させる]で
		  mp3infp併用時、WMVやMP4等で映像成分が存在した場合は無条件で送信対象から外すように変更しました。

真空波動研 090503
2009/05/03

	・本体側の変更

		・終了時SinkuHadouken.(ini,shdkl)に書き込みができなかった場合に終了できなくなるのを修正しました。
		  (書き込みしなくなります)

	・DLL側の変更

		・Matroskaコンテナに以下の修正をしました。

			・mkvmarge v2.7.0で作成したMatroska形式で実データを参照する必要のある映像、
			  音声成分がある場合に例外が出ていたのを修正しました。
			  (mkvmarge v2.7.0から標準になったSimpleBlockへの対応)

		・MP3に以下の修正をしました。

			・ID3v2タグが複数続けて並んでいた場合でもスキップできるように修正、Extraに警告を出すようにしました。
			  (MP3としては不正な形式です、スキップできてもその後次第で誤認の場合があります)

			・ゴミデータをスキップした際にExtraに警告を出すようにしました。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI]
		AMM2 -> AMV2 MT Codec
		AMV3 -> AMV3 Codec

		[AVI-DIVX]
		DivX503b2396 -> DivX 6.7 Beta
		DivX503b2521 -> DivX 6.8.0(DivX Converter 6.6)


		[AVI-XVID]
		XviD0048 -> XviD 1.2.-127
		XviD0049 -> XviD 1.2.0
		XviD0050 -> XviD 1.2.1
		XviD0055 -> XviD 1.3.-127

		・使用しなくなったので[MPEG2-TS-PID]のセクションを削除しました。


真空波動研 090212
2009/02/12

	・本体側の変更

		・Liteと同じくプレイリストの[リスト編集]->[リネーム]にF2のショートカットキーを付けました。

		・未選択の状態で[リスト編集]->[リネーム]を行うと例外が発生するのを修正しました。

		・関連付けの拡張子一覧を追加し、.wmv、.asfは削除しました。

	・DLL側の変更

		・Matroskaコンテナに以下の修正をしました。

			・V_MPEG4/ISO/AVCに対応しました。(DivX7等)
			  書式は[MPEG4]のVIDEOを使用しますがコンテナ側から取得できない情報も多く、
			  ビットレートやビット幅等が0になる場合が多いです。

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・再生時間が取得できない場合に例外が発生するのを修正しました。
			  (該当する場合は再生時間、ビットレート(AAC以外)、フレームレートが0になります)

		・AACに以下の修正をしました。

			・プロファイルがHEだった場合のSBRとPSの文字の付け方を変更しました。(format.txtにも記載してあります)
			  HE(SBR)     ※HE-AAC v1
			  HE(SBR+PS)  ※HE-AAC v2
			  HE(LC)      ※プロファイルがHEでSBRもPSも含まれていない場合の実質的なLC(NeroAACEncで作成した場合に多いです)
			  HE(!SBR)    ※プロファイルがHEでコンテナ側でSBRのフラグが付いてないがSBR付と思われる場合
			  HE(!SBR+PS) ※プロファイルがHEでコンテナ側でSBR+PSのフラグが付いてないがSBR+PS付と思われる場合

		・Monkey's Audioで24Bitや8Bitでエンコードしていても16Bitと認識されるのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI-XVID]
		ULRG -> Ut Video Codec RGB
		ULY0 -> Ut Video Codec YUV420
		ULY2 -> Ut Video Codec YUV422

真空波動研 081122
2008/11/22

	・DLL側の変更

		・FlashVideoでH.264/AVC + AACのFLV(FLL形式?)に対応しました。

		・DTSの詳細表示で#BITRATEK#の置き換えに失敗していたのを修正しました。

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・AACの拡張詳細を取得する際に例外が出る場合があったのを修正しました。

			・Vorbis音声に対応しました。(サンプル少ないのでかなり適当です)
			  (MPEG4としての対応はQuickTime自体での対応とは別です)

		・RealMedia、RealAudioで音声部分にFORMAT.INIの書式指定が効いていなかったのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI]
		RUSH -> RushCodec

		[AVI-DIVX]
		DivX503b2816 -> DivX 6.8.5.5

	・format.iniの変更

		・[FLASHVIDEO]のVIDEOをFLVとFLLに分けました。

真空波動研 080809
2008/08/09

	・本体の変更

		・QuickTimeの形式判定の追加を使って拡張子自動リネームに.mp4を追加しました。
		  コンテナがQuickTimeコンテナ(MPEG4)であれば全て.mp4になります。3GPP等も反応するので注意して下さい。
		  (コンテナのサブブランド名を見ればもう少し細かい分類ができますが1つと限らない上に順番も不定なので参考にできませんでした)

		・プレイリストに以下の修正をしました。

			・連続解析中(複数ファイルやフォルダをドロップ、全ファイル再検査)にESCで処理を中止できるように変更しました。

			・連続解析中(複数ファイルやフォルダをドロップ、全ファイル再検査)に終了しようとすると例外が出るのを修正しました。

	・DLL側の変更

		・詳細の表示方法(順番と、各項目の表示/非表示)をある程度自由に変えられるようにしました。
		  今回から同梱されるFORMAT.INIに書いてある書式を使って表示を組み立てます。
		  FORMAT.TXTにどの部分がどの部分に当たるか書いておきましたので弄る際は参考にしてみて下さい。

		・RIFF/ogg/Matroskaコンテナに以下の修正をしました。

			・音声がMicrosoft DTS(0008)の場合はDTSと同じ拡張詳細を出すように変更しました。
			  Windows Vistaに付属のシステムサウンドに該当があります。

			・DivX/XviDのエンコードバージョン判別で例外が出る場合があるのを修正しました。

		・AACに以下の修正をしました。

			・詳細からフォーマット種別を削除しました。
			  (現状であまり意味のないものになってきている為)

		・QuickTimeコンテナの認識を従来の[QuickTime]と[MPEG4]の2種類に分けました。
		  形式として別に認識するのでsinku.hも変更になっています。
		  MPEG4のFILETYPEはFILETYPE_RESERVED1をFILETYPE_MPEG4に変更して使っています。
		  FILETYPE_*だけを使って何か行うような一部のアプリは追加や変更が必要かもしれません。
		  (MMName2のように詳細を受け取るだけなら修正の必要無し)

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・AACの拡張詳細を取得する際に例外が出る場合があったのを修正しました。

			・AACのプロファイル判別でSBR+(SBR)と付いてしまう場合があるのを修正しました。

			・MP3音声に対応しました。
			  (MPEG4としての対応はQuickTime自体での対応とは別です)

			・MPEG2-AAC音声に対応しました。
			  (MPEG4としての対応はQuickTime自体での対応とは別です)

			・映像がMPEG4かAVC/H.264の場合にプロファイルの表示に対応しました。

		・RealMediaコンテナに以下の修正をしました。

			・フレームレートを他の形式に合わせて小数点2位まで表示するように変更しました。
			  ただしReal自体はフレームレートを整数で持っているので小数点は必ず0になります。

		・MPEG2-TSの処理がかなり遅いので書き直ししました。
		  映像と音声が1対とは限らないのでcodecs.iniを使った番組名の割り出しは項目ごと無くなります。
		  再生時間はまだ0秒固定です。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI-DIVX]
		DivX503b2676 -> DivX 6.8.3.13

真空波動研 080414
2008/04/14

	・DLL側の変更

		・AACに以下の修正をしました。

			・詳細の表記を変更しました。
			  形はAC-3に合わせるような詳細になってます。
			  MPEG2/4の表記は現状では意味がほぼ無くなっているので削除しました。

			・ADTSコンテナのAACにおいて古い仕様で解析していた為にMPEG4-AACの場合「SyncWordが切れてます」とエラーを返すAACがほとんどだったのを修正しました。

		・QuickTime, Matroskaコンテナに以下の修正をしました。

			・音声がAACの場合に拡張詳細を出せるように変更しました。
			  ES Descriptorにビットレートが無い場合はQuickTime側のビットレートを使用します。

			・音声がAACの場合にaacPlus(HE-AAC)に対応しました。
			  SBR時は補正後のサンプリングレート(2倍)を表示します。

			・上記二つは必要なデータが揃っていた場合です。一部のAACエンコーダは不足やそもそも無い状態で出力するものがあります。
			  その場合の誤判別等、詳しい事はformat.txtのAACの項目を見て下さい。

		・Matroskaコンテナに以下の修正をしました。

			・音声がAACの場合に拡張詳細を出せるように変更しました。
			  基本はQuickTimeの修正と同じですがビットレートは0kb/s固定です。

		・oggコンテナに以下の修正をしました。

			・映像がDivX5の場合のエンコードバージョン判別に失敗するファイルがあるのを修正しました。


	・codecs.iniの変更

		・以下を追加しました。

		[AVI-DIVX]
		DivX503b2559 -> DivX 6.8.2.6

真空波動研 080308
2008/03/08

	・DLL側の変更

		・RIFF AVIに以下の修正をしました。

			・映像ビットレートがマイナス数値になる現象が再発していたのを修正しました。
			  (かなり前から機能しなていなかったようです、申し訳ないです)

			・チャプター付のDivXMedia形式の場合に無限ループに陥る場合があったのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI-XVID]
		XviD0047 -> XviD 1.1.-127

真空波動研 080210
2008/02/10

	・本体側の変更

		・プレイリストでカラム名をクリックした際のソートを昇順、降順と切り替わるようにしました。

	・DLL側の変更

		・ヘッダ圧縮されているQuickTimeはその旨を表示するように修正しました。
		  (解析はできません)

		・RMP3で以下の条件の場合に詳細取得で無限ループに陥る場合があったのを修正しました。

			・Riff SIフィールド(INFOTAG)がある
			・ID3v1がINFOTAGの中ではなくIID3チャンクにある場合

真空波動研 071231
2007/12/31

	・DLL側の変更

		・QuickTimeコンテナに以下の修正をしました。

			・中身がMPEG1動画の場合に対応、詳細はMPEG1動画と一緒になります。

			・音声がMP3だった場合、実データを見て詳細を取得するように変更しました。

		・RIFFコンテナに以下の修正をしました。

			・音声と映像の実データで長さ0バイトのチャンクに遭遇した場合に例外が出るのを修正しました。

		・FlashVideoに以下の修正をしました。

			・MetaData部分のパースがあまりいい方法では無いので暫く範囲検索に変更します。
			  構造を無視するので中身に関係無く必要なパラメータは全て取れるようになってます。(無い場合は除く)

		・MPEG-Audio(MP3等)を扱う全形式でヘッダの妥当性チェックをかなり厳しくしました。

		・MP3でかなり大きいID3v2(M単位)がある場合、再生時間がおかしな値になるのを修正しました。

		・MPEG2-TSで再生時間計算に対応しました。
		  まだ怪しいです、Haaliのスプリッタとは違う時間が出たりしますが原因がよく解りません。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI]
		XTOR -> Dxtory

		[AVI-DIVX]
		DivX503b2510 -> DivX 6.8.0.14

		・以下を変更しました。

		DivX503b830  -> DivX 5.0.5.830
		DivX503b959  -> DivX 5.1.0.959
		DivX503b1031 -> DivX 5.1.1.1031

真空波動研 071102
2007/11/02

	・DLL側の変更

		・QuickTimeコンテナに以下の修正をしました。

			・映像にフレームレートと総フレーム数、映像と音声にビットレートを追加しました。
			・メタデータの存在とチャプターの有無も表示するようにしました。

			・Extraの部分にファイルのブランド名を表示するようにしました。(あった場合のみ)
			 ベストブランド以下、コンパチブルブランド等複数ある場合は一番先頭のベストブランドを使います。
			 ブランド名 -> 文字への変換はcodecs.iniに新設した[QT-BRAND]セクションを使います。

			・現状で3GPP系でビットレートと再生時間が正しくない数値で出る場合がたまにあります。
			 すぐ解決できる目処が立たないので暫く仕様とします。

		・MP3のタグ認識にLyrics3を追加しました。
		  VBRのMP3にLyrics3がある場合、タグサイズを考慮するようになったので、
		  ビットレートに今までのバージョンと若干の差が出ます。(誤差程度)

		・Shockwave Audioに対応しました。 (*.swa)
		  詳しい事が解らないので、今の所は独自ヘッダのついたMP3として処理しています。

		・MusePackの詳細にストリームのバージョンを含めるように変更しました。
		  (真空はSV7のみ対応なので7.0〜)

		・GetFileFormatでQuickTime系は全てFILETYPE_QUICKTIMEを返すように変更しました。
		  (ブランド名が増えすぎてて個別に判別できなくなってきた為)
		  今まで分かれていた分はFILETYPE_RESERVED*として未使用扱いになります。

	・本体側の変更

		・[動作] -> [mixi stationに反応させる]を追加しました。(変更の反映は再立ち上げ後)
		  同じフォルダにgen_mixi_for_winamp.dllが必要です。(WinAMP用mixiプラグイン)
		  さらにmp3infp.dll(v2.53〜)があるとMP3以外の一部形式でも反応が可能です。
		  (mp3infp.dllをインストールしてない場合はdllだけ同じ場所に置けば良いです)

		  mixiプラグインの入ったWinAMPとこの機能をONにした状態での併用は避けて下さい。
		  対応する形式や必須のタグ、タグの優先順序は以下の通りです。

		  対応形式
		  MP3

		  追加の対応形式(mp3infp.dllが使える場合)
		  MP3、RMP3、WindowsMedia、Ogg Vorbis、Monkey's Audio、QuickTime(MPEG4や3GPP、タグを入力できるもの)

		  MP3のタグの優先順位
		  ID3v2 -> ID3v1 -> APE

		  必須のタグ
		  タイトル、アーティスト

		  上記タグがどれか一つでも欠けている場合や、mp3infpが使えなかった場合、
		  送信対象になるのかどうかの判断はmixi station側になります。
		  (つまり、ID3v2が記入されているMP3のみ)

		・QuickTime系の拡張子自動リネームを全て*.qtへ変更しました。

		・.manifestを本体に内蔵しました。

	・codecs.iniの変更

		・以下を追加しました。

		[AVI-DIVX]
		DivX503b2432 -> DivX 6.7.0.28
		DivX503b2151 -> DivX 6.4(?)
		DivX503b2376 -> DivX 6(Stage6)
		※2151がいつのDivXで出力されてるのか解る方はご一報下さい(数字上では6.4〜6.5.0の間)

		[MPEG2-TS-PID]
		08100814 -> Canopus EDIUS Neo

		[QT-BRAND]
		新設

		・以下を修正しました。

		[QT-VIDEO]
		AVC1 -> AVC/H.264

真空波動研 070808
2007/08/08

	・コンパイラをC++Builder3から6へ変更しました。
	  以下の、見える範囲でのコンパイラ由来の仕様やバグが無くなっています。

		・[開く/保存]のダイアログにプレースバー追加
		・ffdshowとHaali Media Splitterを併用時、MediaPlayer側で例外が出て再生できない形式があったのが解消(RIFF WAVE等)
		・マルチモニタ環境でヒントがモニタを跨いで表示される場合にきちんと跨ぐようになった
		・プライマリモニタ以外にヒントを表示できなかったのが解消

	・.manifestファイルを同梱しました。WindowsXPのLuna環境下で一部コントロールがネイティブ表示されます。
	  真空波動研は部品の使い方とBorlandの都合で変わらない部分と変わる部分が同居するので、
	  気に入らない人は.manifestファイルを消して下さい(今まで通りになります)

	・codecs.iniの変更

		・以下を修正しました。

		  [WAV]
		  0270 -> Sony ATRAC3 (MiniDisc LP2)

真空波動研 070713
2007/07/13

	・DLLの変更

		・oggコンテナに以下の修正をしました。

			・コメント付のogg Vorbisで例外が出る場合があったのを修正しました。

			・oggコンテナの末尾ストリーム検索を別な方法に変更しました。
			  例外の出るogmが正常になったかもしれません。

	・本体側の変更

		・プレイリストのシャッフル、ランダム再生にMersenne Twisterを使うように変更しました。

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI-DIVX]
		  DivX503b2306 -> DivX 6.6.1
		  DivX503b2309 -> DivX 6.6.1
		  DivX503b2318 -> DivX 6.6.1

真空波動研 070509
2007/05/09

	・Windows9x/ME環境で関連付け起動やアイコンにドロップでの起動の際にファイル名がショートファイル名として
	  扱われるのを修正しました。

	・Windows9x/ME環境で詳細のコピー時に改行が崩れるのを修正しました。

	・終了時にSINKU.DLLの解放を忘れていたのを修正しました。(汗

	・readmeにMediaPlayerが6.4より古い場合のチェック方法等を追記しました。

	・DLLの変更

		・MPEG1-LayerIを認識できなかったのを修正しました。
		  ただし0xFFが連続するようなゴミを誤判定する可能性が少し上がります。(そのうちなんとかします)

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI-DIVX]
		  DivX503b2292 -> DivX 6.6.0

真空波動研 070422
2007/04/22

	・DLLの変更

		・表示に使用する再生時間のミリ秒での切り上げを止めて表示にミリ秒(3桁)を追加しました。
		  秒単位での表示のミリ秒も3桁にしてあります。

		・Matroskaのチャプター数で、無視扱いのチャプターも数に含めていたのを修正しました。

		・RIFF形式でタグを付けられる形式(AVI,WAVE,RMP3)での認識タグ表示に対応しました。(INFOTAG)

		・WavPackに以下の変更をしました。

			・詳細取得を今まで先頭のブロックのみに限定していたのを全て走査するように変更しました。

			・RIFF部分に付いているINFOTAGの認識、表示に対応しました。

			・APEタグの認識、表示に対応しました。

		・以下の形式でAPEタグに対応しました。また、認識したタグを表示するようにしました。
		  コンテナに格納されている場合は表示しません。(例: AVIでMP3音声にID3v2タグ付等)

			・MPEG-Audio
			・The True Audio
			・Monkey's Audio

		・MPEG1/2に以下の変更をしました。

			・再生時間の算出方法を三段階で行うようにしました。
			  数値を信用する優先順位は、

			  SCR
			  GOPのタイムコード
			  ビットレートとファイルサイズを使った大雑把な方法

			  です。今までSCRのみでしたが存在しない場合でも再生時間をなんとか得られるかもしれません。
			  SCR以外の方法は誤差や間違った値が出る場合も多々あるので参考程度に考えて下さい。

			・MPEG2のLinearPCM音声にビットレートを追加しました。

		・VideoCDの形式名がMPEG1と表示されていたのを修正しました。

		・oggコンテナに以下の修正をしました。

			・認識タグ表示に対応しました。(VorbisComment)
			  ベンダ名は必ず付くので認識の対象外にしてあります。

			・字幕の存在するogmで解析が途中で止まり詳細の一部が出なくなるのを修正しました。

			・字幕があった場合、有無と数の表示をするように追加しました。

			・末尾のストリーム検出に失敗する場合があったのを修正しました。
			  (失敗というより、末尾では無いものを候補に使う場合がありました)

		・flacに以下の修正をしました。

			・認識タグ表示に対応しました。(VorbisComment)
			  キューシートは2種類表示があります(メタデータとしてのシート、VorbisCommentとしてのシート)

			・画像埋込みされている形式に対応しました。

			・ビットレートの計算を実データの範囲のみで行うようにしました。
			  今までと比べて若干低く出ますがこちらの方がより正確だと思います。

			・詳細取得時に無限ループに陥る可能性があったのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI-DIVX]
		  DivX503b2207 -> DivX 6.5.1

真空波動研 070202
2007/02/02

	・DLL側の変更

		・MPEG1/2/TSで音声の並び順をストリームIDの若い順に表示するように変更しました。

		・RIFFに以下の変更をしました。

			・Google Video Playerのキャッシュ(*.gvi)特有のチャンクを認識させるように修正しました。(今までも動いてましたが)
			  コンテナ名は[RIFF(GoogleVideo)]になります。

			・対応しているフォーマット形式をコンテナ名の方へ移しました。表示が以下のように変わります。
			  AVI         -> [RIFF(AVI1.0)]
			                [RIFF(AVI2.0)]
			  GoogleVideo -> [RIFF(GoogleVideo)]
			  DivXMedia   -> [RIFF(DivXMedia)] ※今までチャンク認識はしてましたが普通のAVI扱いにしてました
			  DV-AVI      -> [RIFF(DV Type1)]
			  WAVE        -> [RIFF(WAVE)]
			  RMP3        -> [RIFF(RMP3)] ※今までと変わりなし
			  MIDI(RMI)   -> [RIFF(MIDI)]
			  CD-DA       -> [RIFF(CD)]
			  VideoCD     -> [RIFF(VideoCD)] ※今までと変わりなし

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI-DIVX]
		  DivX503b2201 -> DivX 6.5.0

真空波動研 070101
2007/01/01

	・本体側の変更

		・Optionボタンの[Position]を、該当コントロールの表示/非表示から使用可/不可に変更しました。
		  常に表示はされるようになりますがチェックを外して不可にしておく事でHaali Media Splitter使用時に
		  カーソル左右で5秒スキップが使えなくなるのが解消されます。

	・DLL側の変更

		・ogg,MatroskaコンテナでのTheoraに対応しました。

	・codecs.iniの変更

		・以下を修正しました。

		  [AVI]
		  YVYU -> Microsoft YVYU 4:2:2

真空波動研 061209
2006/12/09

	・DLL側の変更

		・MP3のLAMEタグにある拡張ステレオモードの取得方法を変更しました。

		・ID3V2タグ付きのAACを判別できるように修正しました。

		・MPEG1/2でいつの間にかビットレートのVBR判定が動かなくなっていたのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI-DIVX]
		  DivX503b2086 -> DivX 6.4

		  [AVI-XVID]
		  XviD0044 -> XviD 1.1 1
		  XviD0045 -> XviD 1.2.-127(45)
		  XviD0046 -> XviD 1.1.2 Final

		・以下を修正しました。

		  [AVI-XVID]
		  XviD0043 -> XviD 1.2 SMP

		・MPE2-TSのPID(128度CS/アナログのスカパー)のPID重複が激しいので
		  デフォルトで全コメントアウトしました。必要な方は任意にコメントアウトを外して下さい。

真空波動研 061103
2006/11/03

	・DLL側の変更

		・MPEG1/2/TSで映像の詳細取得時に例外が出る場合があったのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI-DIVX]
		  DivX503b2086 -> DivX 6.4
		
真空波動研 061008
2006/10/08

	・本体側の変更

		・タスクトレイアイコンの[プレイリスト] -> [次(前)のファイル]がいつの間にか効かなくなっていたのを修正しました。

	・DLL側の変更

		・FlashVideoに以下の修正をしました。

			・一部不要なMetaタグをスキップするように変更しました。

			・Metaタグの整合性が崩れているFlashVideoで詳細取得時、なるべく例外が出ないようにしました(出る時は出ます)。

		・QuickTimeに以下の修正をしました。

			・文字として表せない音声Codecを表示できていなかったのを修正しました。

			・音声Codecで先頭2文字が「MS」で始まるものは後半2文字をコードとして[WAV]セクションを
			  参照するように変更しました。

		・ABRのVorbisでおかしなビットレートが出る場合があるのを修正しました。

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI]
		  CFHD -> Adobe Premiere HDV
		  YVU9 -> Indeo Video Raw(YVU9)

		  [AVI-DIVX]
		  DivX503b1988 -> DivX 6.2.5
		  DivX503b2081 -> DivX 6.4 Beta 1

真空波動研 060729
2006/07/29

	本体側の変更はありません。

	・DLL側の変更

		・MPEG1動画で音声の取得に失敗する場合があるのを修正しました。

		・RealAudio LossLessに対応しました。

	・codecs.iniの変更

		・以下を追加しました。

		  [AVI-DIVX]
		  DivX503b1838 -> DivX 6(TMPGEnc 4.1.0.180)

真空波動研 060618
2006/06/18

	本体側の変更はありません。

	・DLL側の変更

		・DivXのエンコードバージョン判別時に詳細が崩れる場合があったのを修正しました。

		・FlashVideoの詳細をさらに追加しました。(一部の形式の縦横サイズ、ビットレート、再生時間等)
		  Metaタグが存在する場合に限るので、無い場合は0と表示されます。
		  再生時間も取得できた場合は、全フレーム走査はしないようにしました。
		  (MetaタグはGoogleVideoの方に入ってます、YouTubeは無いようです)

	・codecs.iniの変更

		・DivXのバージョン判別にいくつか追加と表示名の変更、最新まで。XviDも同様です。

真空波動研 060423
2006/04/23

	・DLL側の変更

		・VideoCD形式のMPEG1動画のコンテナ名を[MPEG1]から[RIFF(VideoCD)]に変更しました。

		・Matroskaに字幕の種類と数、チャプターの有無と数を表示するようにしました。

		・FlashVideo (*.flv)に仮対応しました。音声は完成してますが映像が未完成です。
		  再生時間計算の方法上、全パケットを走査します。余りに巨大なファイルだと解析に時間がかかるかもしれません。
		  詳しくはformat.txtを見て下さい。

		・対応する気が無くなった形式についてsinku.hから削除をしました。

		・一部のFILETYPEの名称を変更しました。

	・本体側の変更

		・画面サイズのショートカットキーで、数字のものはテンキー側でも反応するようにしました。

		・[動作]->[MirandaIMのWATrackに反応させる]を追加しました。
		  MirandaIMを使っていてWATrackのプラグインを入れてる場合の曲名表示に対応させます。
		  WATrackが対応しているMusicCube Oneのフリをする事で実現しているのでWATrack側で有効にしておくのと、
		  有効にした状態での本家との同時使用は避けて下さい。
		  WATrackの監視方法の都合上、プレイリストにファイルを追加やリストの再検査等をすると反応してしまうのは仕様です。

	・codecs.iniの変更

		・以下を追加しました。

		   [AVI-DIVX]
		   DivX503b1893 -> DivX 6.2.0 Beta1
		   DivX503b1910 -> DivX 6.2
		   DivX503b1913 -> DivX 6.2.1
		   DivX503b1915 -> DivX 6.2.1 Patch 1 Beta
		   DivX503b1920 -> DivX 6.2.2

		   [AVI-XVID]
		   XviD0041 -> XviD 1.1.0

真空波動研 060227
2006/02/27

	・サイズの大きいMonkey's Audioでビットレート計算がオーバーフローしていたのを修正しました。

	・RIFF AVIでDivXやXviDのエンコードバージョン判別に失敗する場合があったのを修正しました。
	  最初の実映像しか見ていなかったのを5個分まで増やしてあります。

	・画面サイズに独自のショートカットキーを付けました。

		x1       : [1]
		x0.5     : [3]
		x2       : [2]
		Full     : [F]
		画面1/16 : [4]
		画面1/4  : [5]
		画面1/2  : [6]

	・関連付け起動時等に複数のファイルを渡した場合はプレイリストに追加するように変更しました。
	  先頭の1個目のファイルは再生になります。

	・プレイリストに以下の変更をしました。Liteも同様です。

		・リストにファイルを追加する際に、テスト用にしている形式が追加されない(*.omg等)のを修正しました。

		・リストの保存形式で、*.m3uの中身を相対パスで記録するように変更しました。

		・[詳細のコピー]を実行した場合にDLLのバージョンを付け忘れていたのを修正しました。

		・[再検査]や[全ファイル再検査]で拡張子自動リネームが働いた場合にリスト上での見た目のファイル名が変わっていないのを修正しました。

	・DLLにcodecs.iniのパスを設定する関数SetPathを追加しました。
	  詳しくはDLLのreadme.txtを参照して下さい。

	・codecs.iniに以下の変更/修正しました。

	  追加
	  [AVI]
	  FPS1 -> Fraps Movie Capture

真空波動研 060120
2006/01/20

	・判別部をDLL化しました。

	・CODECS.INIが見つからない場合に注意を出すようにしました。止めずに実行は続けます。

	・関連づけ起動時に[タスクトレイアイコンを使用しない]と[タスクトレイのバルーンヘルプを使用しない]の設定が
	  無視されるのを修正しました。

	・ヒント設定を[表示しない]にしても通常表示ヒントの場合に表示されてしまう問題や、ヒント色の設定他その周辺を修正しました。

	・codecs.iniに以下の変更/修正しました。

	  追加
	  [AVI]
	  DIVA -> DivA MPEG-4

	  [AVI-DIVX]
	  DivX503b1786 -> DivX 6.1
	  DivX503b1670 -> Dr.DivX 1.07
	  DivX503b1807 -> DivX 6.1 Patch 1 Beta
	  DivX503b1814 -> DivX 6.1 Patch 2 Beta
	  DivX503b1828 -> DivX 6.1.1

	  DivX 6.1.1はまだDivX Labsの方で公開されている状態なのでこのビルドが正式版になるかどうかは不明です。

真空波動研 051211
2005/12/11

	・音声有りのRIFF AVIで例外・ハングアップ等をする場合があるのを修正しました。

	・oggコンテナで[末尾を検出できないストリームがあります]がなるべく出ないように読み込み方法を変更しました。

	・メインメニューに[動作]->[タスクトレイのバルーンヘルプを使用しない]を追加しました。
	  有効にするとタスクトレイアイコン使用時にバルーンヘルプが出なくなります。

	・タスクトレイアイコンの右クリックメニューから詳細を削除しました。

	・codecs.iniに以下の変更/修正しました。

	  追加
	  [AVI]
	  VP70 -> On2 VP7
	  X264 -> H.264(X264)
	  VSSH -> H.264(VSSH)
	  AVC1 -> H.264(AVC1)
	  SNOW -> SNOW

	  [AVI-XVID]
	  XviD0040 -> XviD 1.1.0 Beta3

	  [WAV]
	  0500 -> On2 AVC Audio(?)
	  ※これは予想です、解る方いましたら教えて下さい※

	  [MPEG2-TS-PID]
	  01110112 -> 地上D 032ch テレビ埼玉1
	  ※他に変更と追加数カ所あります※

	  変更
	  DAVC -> H.264(DAVC)

真空波動研 051116
2005/11/16

	・MPEG1/2系の詳細表示をコンテナ名付きの表示にしました。

	・MPEG2-TSに対応しました。
	  詳細の出方は普通のMPEG動画と同じですが最後に録画したと思われるチャンネル表示が付きます。
	  音声はMPEG音声とAACに対応で、他形式はサンプルが手元に無い為対応してません。
	  チャンネル表示に使うPIDのリストはcodecs.iniの[MPEG2-TS-PID]セクションに書いてあります。
	  その他表示や対応の程度はformat.txtを見て下さい。

	・MPEG1で複数音声に対応しました。

	・MPEG2-PS(普通のMPEG2)でのAAC音声に対応しました。

	・RIFF AVIのType-1 DV(DV-AVI)に対応しました。
	  今の所、縦横サイズは720x480と数値で固定しています。音声の判別はできません。

	・RIFF WAVEで詳細が出ない可能性があったのを修正しました。

	・RIFF AVIの複数音声に対応しました。

	・LAMEタグ付MP3でCBRの場合、ビットレートはフレームヘッダ側の数値を使うように変更しました。

	・MatroskaのV_MPEG4/ISO/???に対応しました。最低限の情報しか無いようです。

	・Matroskaの新方式AAC格納方法に仮対応しました。まだサンプリングレート、チャンネル数しか出せません。
	  mkvtoolnix 1.6.0より後はこの方式になると思います。

	・MatroskaをVirtualDubModで出力した場合に、MP3,AC3,DTS音声の詳細が標準詳細になる場合があるのを修正しました。

	・AutoStartのチェックが外れていた場合にフォームのリサイズが再生をしないと開始しないのを修正しました。

	・OptimFROGのDualStream時に詳細がおかしくなるのを修正しました。

	・メインフォームの[Option]ボタンを普通の組み合わせで似たようなものに置き換えました。
	  今までのは色々問題があったので少し扱いやすくなったと思います。

	・codecs.iniの読み込み方法を変更しました。
	  同じ識別子が複数行あった場合は、スラッシュで区切って複数候補を出すようにしました。
	  セクション中にセミコロンから始まる行がある場合は注釈とするようにしました。

	・codecs.iniに以下の変更/修正しました。

	  追加
	  [AVI-DIVX]
	  DivX503b1697 -> DivX 6.0.3
	  DivX503b1737 -> DivX He-3

	  [QT-VIDEO]
	  AVC1 -> MPEG4(AVC)

	  [MPEG2-TS-PID]
	  新設/多数追加

真空波動研 050814
2005/08/14

	・OptimFROG (*.ofr,*.ofs)に対応しました。
	  同じ場所にコレクションファイルが存在する(同じファイル名で拡張子が.ofc)場合は先頭表示がOptimFROG(DualStream)になります。

	・Ogg Media(*.ogm)を1から書き直しました。複数音声やVorbis以外の音声等にきちんと対応しています。
	  詳しくはformat.txtを見て下さい。

	・Wavpack4に以下の修正をしました。

		・ビットレートを展開前のレート表示に変更しました。

		・同じ場所にコレクションファイルが存在する(同じファイル名で拡張子が.wvc)場合は先頭表示をWavpack4(Hybrid)にするように変更しました。

	・WindowsMediaに以下の修正をしました。

		・フレームレートが出せる場合は出すように変更しました。(WMV9以降のようです)

		・音声に映像Codec名が出る場合が希にある(逆の場合も有り)のを修正しました。

		・音声/映像のビットレート計算方法を変更しました。
		  映像はExtended Stream Properties Objectがある場合はそっちの値を、無ければ従来通り、
		  音声はWAVEFORMATXから計算、Stream Bitrate Properties Objectは一切使わなくなりました。

		  主に複数ストリームを持つwmvへの兼ね合いで細かい所が変わってます。まだバグが残っているかもしれません。
		  詳しくはformat.txtを見て下さい。

		  複数映像ストリームがあり、Extended Stream Properties Objectも無い場合はビットレート表示が全て同じになってしまいます。
		  解決方法が解るまで仕様にします。(実際にそういう仕様のファイルがあるかどうかは別として)

	・MPEG1/2で終端のSCRがおかしい場合、再生時間の表示を0秒にするようにしました。

	・MatroskaでのWavpack4使用時にビットレートを出さないように変更しました。

	・AVI2.0で16個以上の分割がある巨大AVI(およそ20G以上)で例外が出ていたのを修正しました。

	・非対応の形式の時に先頭16バイト表示するようにしました。

	・メニューに関する変更をしました。

		・プレイリストに[動作]の項目を追加しました。

		・メインウインドウの[動作]->[リスト順に再生]をプレイリストの[動作]に移動しました。

		・プレイリストの[演奏]->[ランダム再生]を[動作]に移動しました。

	・プレイリストでフォルダの読み込みに対応しました。D&Dと、[ファイル]->[フォルダを開く]で開けます。
	  [動作]->[フォルダ読込時にサブフォルダも検索]にチェックを入れておくとサブフォルダ以下も検索します。

	・誤クリア防止の為にプレイリストを空で終了した場合はリストの保存はしていませんでしたが、
	  これをクリアするように変更しました。

	・詳細の表示方式を変更しました。

		・映像と音声を別行に分けて表示

		・再生時間とサイズを別行、再生時間には小数点第二位までの秒単位も付けて表示

		・コンテナ形式の場合は再生時間の前にコンテナ名を表示

		・音声・映像がそれぞれ1つの場合は2行、どちらかが2つ以上ある場合は数字を付けて全て表示

		  プレイリストでの表示、詳細付リネームは従来通りです。
		  以下の表示はヒント表示、詳細のコピーのみです。SuperLiteはこの表示になります。

	例) 音声1つのみ

	[hogehoge.aiff]
	AIFF 44.10kHz 16Bit 1ch 705.62kb/s
	00:00:03 (3.27sec) / 288,682Bytes

	例) 映像1つのみでコンテナ形式

	[hogehoge.avi]
	AVI1.0 240x180 24Bit DivX 5.2.1 11.99fps 54f 263.36kb/s
	[RIFF] 00:00:05 (4.50sec) / 153,254Bytes

	例) 映像、音声1つのみでコンテナ形式

	[hogehoge.avi]
	AVI2.0 640x360 24Bit Windows Media Video 9 119.88fps 172572f 1400.50kb/s
	MPEG1-LayerIII 48.00kHz 160.41kb/s VBR JointStereo/MS Xing 59983f [LAME3.90. VBR-OLD/RH 0kb/s AutoStereo]
	[RIFF] 00:24:00 (1439.53sec) / 284,575,744Bytes

	例) 複数音声

	[hogehoge.mpg]
	MPEG2 720x480 29.97fps 16:9 625line 9800.00kb/s 
	[Audio][2]
	DTS(16BitBE) 48.00kHz 20Bit 5.1ch(C+L+R+SL+SR+LFE) 1536.00kb/s
	Dolby AC-3 48.00kHz 2.0ch(2/0 L+R:Dolby Surround) CM 384.00kb/s
	00:00:00 (0.00sec) / 1,048,576Bytes

	例) 複数映像、複数音声

	[hogehoge.wmv]
	[Video][3]
	320x240 24Bit Windows Media Video 9 281.87kb/s
	240x180 24Bit Windows Media Video 9 99.96kb/s
	192x144 24Bit Windows Media Video 9 39.28kb/s
	[Audio][3]
	Windows Media Audio 9 Voice 22.05kHz 16Bit 1ch 22.12kb/s
	Windows Media Audio 9 Voice 16.00kHz 16Bit 1ch 14.26kb/s
	Windows Media Audio 9 Voice 8.00kHz 16Bit 1ch 10.26kb/s
	[WindowsMedia] 00:01:14 (74.00sec) / 3,937,472Bytes

	・codecs.iniに以下の変更/修正しました。

	  追加
	  [AVI]
	  DOHC -> DummyCodec

	  [AVI-DIVX]
	  DivX503b1594 -> DivX 6.0
	  DivX503b1612 -> DivX Helium

	  [WAV]
	  000A -> Windows Media Audio 9 Voice

真空波動研 050620
2005/06/20

	・ファイル操作系をWin32API化、2G以上の範囲へのシーク制限無くなりました。
	  今までだとサイズが2Gを超えるMPEG1/2が該当していて再生時間の算出に失敗していました。

	・RIFF AVIに以下の変更/修正をしました。

		・AVI2.0の場合に映像ビットレートがマイナスになる場合があるのを修正しました。
		  AVI2.0の場合のみファイル終端まで読み込みようになった為読み込み時間が多少増えます。

		・実音声データ検索が出来る場合でも失敗する可能性があったのを修正しました。

	・MPEG2に以下の変更/修正をしました。

		・DTSの詳細表示に対応しました。

		・複数音声があった場合にストリーム数を出すように変更しました。

	・WindowsMediaに以下の変更/修正をしました。
	 ・DRM付の場合、WindowsMedia(DRM)のようにDRM種別を表示するようにしました。
	 ・050517のビットレートに関する修正で、映像のビットレートに音声のビットレートが足された値が出るのを修正しました。
	 ・複数音声があった場合にストリーム数を出すように変更しました。

	・codecs.iniに以下の変更/修正しました。

	  追加
	  [AVI-DIVX]
	  DivX503b1461 -> DivX Fusion
	  DivX503b1528 -> DivX Fusion
	  DivX503b1571 -> DivX 6.0
	  DivX503b1599 -> DivX Helium
	  DivX503b0985 -> DivX 5.1(HD?)
	  DivX HD(http://www.divx.com/hd/)のShark Tale.aviのみでしか見あたらない番号です

	  変更
	  [AVI-DIVX]
	  DivX503b1394 -> DivX Plasma
	  DivX503b1408 -> DivX Plasma
	  DivX503b1453 -> DivX Fusion

	  [WAV]
	  674F -> ACMVorbis(mode1)
	  6750 -> ACMVorbis(mode2)
	  6751 -> ACMVorbis(mode3)
	  676F -> ACMVorbis(mode1+)
	  6770 -> ACMVorbis(mode2+)
	  6771 -> ACMVorbis(mode3+)
	  まぎらわしいので名称変えました

真空波動研 050517
2005/05/17

	・Wavpack4 (*.wv)に対応しました。
	  形式上、あまりRIFFと詳細変わりませんがLossyとLosslessの区別は付くようになってます。
	  ビットレートはMatroskaとの兼ね合いで展開後のレートを表示します。

	・DTSに以下の変更/修正をしました。

		・14BitLE,BE(生DTSではなく主にDTS-WAV)に対応しました。(14BitBEは未テストです)

		・ビットレートが768kと1536kの場合に再生時間が若干短く計算されるのを修正しました。

	・AC-3に以下の変更/修正をしました。
	 ・チャンネルモード表記を削除しました。
	 ・チャンネルオーダーの表記をDTSと同一にしました。
	 ・2ch(L,Rのみ)時にあるDolby Surroundフラグが有効な場合、チャンネルオーダー最後に表示するようにしました。

	・MPEG-2で音声がLinearPCMだった際にサンプリングレート、ビット幅、チャンネル数を表示するようにしました。

	・WindowsMedia系で実レートが格納されている場合、そのレートを表示するのを中止しました。
	  WMA9 Losslessで実レートを参照するとおかしなレートが出る為です。

	・RIFF系に以下の変更/修正をしました。

		・音声が0x2001(DTS)の場合に実データ検索するように変更しました。

		・音声が0x0050(MPEG1 Audio)の場合に実データ検索をするように変更しました。

	・MatroskaのV_MPEG1とV_MPEG2に対応しました。

	・かなり適当だったAIFFの詳細取得を1から書き直しました。
	  詳細先頭に「AIFF」と付くようになった他は変更ありません。(と思います)

	・Matroskaの絡みで各コンテナ系の詳細がまぎらわしくなってきたので、頭にコンテナ名を付けるように変更しました。

	 RIFFコンテナ
	 「RIFF」と付きます。
	 RIFFコンテナでのMP3は2種類あり、RIFFと付くものはWAV-MP3、RIFF(RMP3)と付くものはRMP3で区別が付くようになってます。

	 RealMediaコンテナ
	 「RealMedia」と付きます。

	 ATOMコンテナ(QuickTime)
	 「QuickTime」と付きます。

	 Oggコンテナ
	 「Ogg」と付きます。

	 WindowsMediaコンテナ
	 「WindowsMedia」と付きます。

	 Matroskaコンテナ
	 「Matroska」と付きます。

	・MIDIの詳細の先頭に「MIDI」と付けるように変更しました。

	・AUの詳細の先頭に「AU」と付けるように変更しました。

	・codecs.iniに以下を追加しました。

	  追加
	  [WAV]
	  0009 -> Microsoft DRM
	  0170 -> UNISYS NAP ADPCM
	  0171 -> UNISYS NAP U-Raw
	  0172 -> UNISYS NAP A-Raw
	  0173 -> UNISYS NAP 16k
	  0215 -> Ulead DV ACM
	  0241 -> ESST AC3
	  0402 -> Ligos Indeo Audio
	  181E -> Lucent AX24000P
	  1C0C -> Lucent SX5363S G.723
	  1F03 -> CUseeMe DigiTalk
	  DFAC -> DebugMode SonicFoundry Vegas FrameServer

	  [AVI-XVID]
	  XviD0039 -> XviD 1.1.0 Beta2

	  変更
	  [AVI]
	  H264 -> H.264
	  H260〜H269まで同様です。

	  [WAV]
	  2001 -> DTS

真空波動研 050308
2005/03/08

	・Vorbisのビットレート計算方法を変更しました。
	  ファイルのビットレートではなくエンコード時に指定されていたレート値が出るようになります。
	  aoTuV版oggdropXPdを参考にQB,CBR,VBR,ABRの判別も行うようにしてあります。

	・Monkey's Audioの詳細の先頭に「Monkey's Audio」と付けるようにしました。

	・RIFF AVIで音声がMP3で、実データを読み込めた場合に限り再生時間が2重に出ていたのを修正しました。

	・再生時間の計算に小数点を使う場合、今まで切り捨てをしていたのを四捨五入に変更しました。

	・DTS (*.dts)に対応しました。
	  16BitBEのストリームに対応します。未確認ですが16BitLEも出せるはずです。14BitはLE、BE共に未対応です。
	  再生にはdtsac3source.axの登録とAC3Filter 1.01a以上が必要です。
	  MPEG2での対応は、MPEG1,2が書き直し予定に入ってる為まだ未対応とさせて下さい。

	・DTS-WAVの為に無圧縮WAVの*.wav,*.aviで実音声をMP3等の場合と同じ条件でサーチするように変更しました。
	  DTS-WAVではない、又は詳細取得に失敗(14BitLE、BE等の場合)すると無圧縮PCMとして表示します。

	・AC-3に再生時間が付きました。

	・FLACの詳細の先頭に「FLAC」と付けるようにしました。

	・MusePackの詳細の先頭に「MusePack」と付けるようにしました。

	・Matroskaに下記の修正をしました。

		・音声成分がMP3,AC-3の場合、Block先頭にゴミがあれば範囲検索するように修正しました。

		・再生時間がほぼ正確になりました。

	・CD-DAの詳細の先頭に「CD」と付けるようにしました。

	・かなり適当だったWindowsMedia系の詳細取得を1から書き直しました。

		・希に映像や音声のcodec名が出ない場合があるのが解消されてます。

		・「[WM] Codec List Objectが見つかりません」が出なくなりました。代変方法に切り替えます。

	・Codecs.iniに以下を追加しました。

	 AVI/Video(追加)

	 AJPG -> ?(AJPG)
	 DAVC -> Dicas MPEG-4/H.264
	 DCL1 -> Data Connection Conferencing
	 DMK2 -> ViewSonic V36
	 DXGM -> EA/CinemaWare Game Movie
	 MVI2 -> Motion Pixels MVI2
	 VQC1 -> ViewQuest VideoQuest Codec 1
	 YUVP -> uncompressed YCrCb 4:2:2
	 YV16 -> Elecard YUV 4:2:2 Planar
	 YV92 -> Intel Smart Video Recorder

真空波動研 050220
2005/02/20

	・Matroska (*.mka,*.mkv)に仮対応しました。
	  よく出回ってる動画で使われている組み合わせにはほぼ対応してありますが、
	  DTS等の真空で対応していない詳細がまだ終わってない、再生時間が狂う場合がかなりある等まだ不完全です。

	・Ogg Speex (*.spx)に対応しました。
	  再生にはRadLight Ogg Media DirectShow filterが必要です。

	・TwinVQ (*.vqf)に対応しました。codecs.iniにも該当セクションが追加になってます。
	  DirectShow経由で再生する方法がまだ無いので、オマケ扱いになります。

	・ファイル形式判定でOgg系の判定方法を今までより厳密にしました。

	・RIFF WAVEでACMVorbisが使われていた際にVorbisとして読み直しするのを中止しました。
	  RIFF AVIの場合はやらない上に詳細にあまり違いが無い為です。

	・タスクトレイの[プレイリスト]->[次(前)の曲へ]をプレイリストに名前を合わせ[次(前)のファイルへ]に変更しました。

	・プレイリストに[演奏]->[ランダム]を追加しました。
	  次の演奏ファイルをランダムで選択します。タスクトレイにも同様に追加してあります。

	・QuickTimeで、「[QT] 不明なComponentSubType」が出た場合そこで終了していたのを、
	 無視して全てのTrak分を処理するようにしました。

	・Vorbisの詳細の先頭に「Vorbis」と付けるようにしました。

	・AC-3の詳細の先頭に「Dolby AC-3」と付けるようにしました。

	・Ogg Mediaで音声の表示をVorbis単体の時と同じ表示にしました。

	・Codecs.iniに以下を追加/修正しました。

	 AVI/XviD(追加)
	 XviD0038 -> XviD 1.1.0 Beta1

	 AVI/DivX5(追加)
	 DivX503b1453 -> DivX Pro Fusion Beta b1453

	 VQ(新規)
	 現状2種類のみです。

真空波動研 050103
2005/01/03

	・RIFF MP3でID3V2タグが付いていた場合にRIFF形式として認識できなかったのを修正しました。

	・上記以外で最初のATOMが"ftyp"で始まる3GGP系やMPEG4系のQuickTimeで、真空が判別できなかった場合、
	  最悪でも普通のQuickTime形式と判定をするようにしました。

	・*.mp3に以下の変更、追加をしました。
	  LAMEタグが3.90以下だった場合にLAMEバージョンのみ出すようになっていたのがいつの間にか無効になってたのを修正しました。
	  LAMEタグが存在する場合でもフロントエンド名を取得する可能性があったのを修正しました。
	  LAMEタグのVBR方式が一部間違っていたのを修正しました。最近のLAMEで追加された方式も追加してあります。
	  午後のこ〜だで作成した一部のVBRのMP3で、フロントエンド名が4バイト手前にある場合があるので、
	  条件に該当してた場合、それを考慮するように修正しました。

	・*.oggでoggVorbis、oggSpeex、oggFlac以外の形式の場合にエラーを出さずに0除算が起きていたのを修正しました。

	・AU携帯で使われる*.amcに反応するようにしました。中身はQuickTime形式です。

	・PSPで使うMPEG4ムービーを拡張子自動リネームで*.mp4とするように修正しました。

	・Media Player Classic,DV,Zoom Player,BSPlayerのプレイリストを読み込みできるようにしました。
	  ただしMedia Player Classicのプレイリストは保存時に「Unicode 16-LE」の形式で保存していた場合に限ります。
	  標準でANSIが選択されているので注意して下さい。

	・プレイリストの読込/保存形式にWinAMPのm3u方式(*.m3u)を追加しました。
	  拡張方式には非対応であくまでもフルパスでファイル名が列挙されてるだけの形式に対応となります。

	・以前修正した、タスクトレイ使用時に[常に最前面で表示]をチェックしたままバージョン情報を出すと、
	  ダイアログが裏に隠れて操作ができなくなる問題が他にも数カ所あったのでさらに修正しました。

	・拡張子自動リネーム部分が初回一回目に反応しないのを修正しました。
	  以前中身再編した時からのエンバグだと思います。

	・未対応の形式の際に「ファイルのオープンに失敗」と出ていたのを修正しました。

	・Codecs.iniに以下を追加/修正しました。

	  AVI/DivX5(修正)
	  DivX503b1394 -> DivX Plasma Alpha b1394

	  AVI/DivX5(追加)
	  DivX503b1408 -> DivX Plasma Alpha b1408

	  AVI/XviD(追加)
	  XviD0037 -> XviD 1.0.3

真空波動研 041113
2004/11/13

	・The True Audio(*.tta)に対応しました。
	  詳細の形式はformat.txtを見て下さい。

	・かなり適当だったQuickTimeの詳細取得をきちんとするようにしました。
	  ただし、まだあまり詳しい詳細は取れてないです。

	・MP3の再生時間計算の際にID3V2タグのサイズまで含めて計算してたのを修正しました。

	・携帯で作成する3GPP,3GPP2ものをQuickTimeとして認識するようにしました。
	  拡張子自動リネームはそれぞれ*.3gp,*.3g2になるようにしてますが、認識漏れがあるかもしれません。

	・AVIで映像CodecがXviDだった場合に、DivXと同じようなエンコードバージョン判別をするようになりました。
	  Codecs.iniに[AVI-XVID]セクションを追加してあります。
	  判別に失敗してXviD MPEG4(XviD00??)と出た場合は、詳細を教えて頂けると助かります。
	  が、私がCodecs.iniに書いた分以外はChengeLogにもはっきりと載っていないので具体的なバージョンは本当に不明です(汗

	・AVIUtil 0.96hで作成されたAVIでdwMicroSecPerFrameが0の為にフレームレート計算で0除算が起きる事への対策をしました。
	  fpsは0.00fps固定になります。fps以外の詳細は正常に詳細取得できるようです。

	・タスクトレイ使用時、[常に最前面で表示]をチェックしたままバージョン情報を出すと、
	  ダイアログが裏に隠れて操作ができなくなるのを修正しました。

	・AVIで音声がMP3だった場合に音声がSyncinfoから始まってない場合を考慮しました。
	  MP3音声が何故か途中からぶつ切りで始まっているAVIへの対策です。

	・Matroska(*.mkv,*.mka)を内部で動画として扱うようにしました。拡張子自動リネームにも反応します。
	  ただし*.mkvと*.mkaの区別を簡単には付けられない為に今の所リネームは全て*.mkvです。
	  詳細はまだです。

	・JPEGの詳細取得でバッファオーバーフローが起きていたのを修正しました。

	・MediaPlayer側でのALT+1と2を逆に監視していたのを修正しました。

	・再生速度を変更して演奏中に停止又はポーズをした場合、再生速度が100%に戻るのを修正しました。

	・プレイリストに以下の変更、追加をしました。
	  プレイリストをMedia Player Classic,DV,Zoom Player,BSPlayerの形式でも保存できるように追加しました。
	  プレイリスト保存の際に選択範囲のみ保存を追加しました。[ファイル]->[選択範囲のリスト保存]です。
	  保存形式からcsv形式を削除しました、*.shdklが中身csv形式なのでリネームすればそのまま使えます。
	  [ファイル]->[選択ファイルのコピー]を追加しました。右クリックも同様です。順序の位置変えをしたので注意して下さい。
	  ステータスバーに現在のリスト位置も表示するように追加しました。
	  ※Media Player ClassicとZoom Player形式で保存する際、文字コードはUTF-16LEになります※

	・Codecs.iniに以下を追加/修正しました。
	  QuickTimeを映像と音声に分けました。[QT-VIDEO]と[QT-AUDIO]です。

	  QT/Video/Audio
	  追加多数

	  AVI/DivX5(追加)
	  DivX503b1307 -> DivX 5.2(Dr.DivX)
	  ※Dr.DivX 1.0.6でエンコードした時のみ、このバージョンになるそうです。他のツールで作成した場合は通常の5.2と判別されます。

	  DivX999b000 -> XviD MPEG4(DivX)
	  ※XviDエンコードで後からbiCompressionをDX50やDIVXに変えた場合にこの判別が来ますが、
	  表示には使用せずにこれを判別したらXviDのバージョン判別に切り替えます。
	  ありえないですがこの条件でXviDのタグが無かった場合、このままの表示になります。

	  DivX503b1338 -> DivX 5.2.1
	  DivX503b1394 -> DivX Plasma Alpha

	  AVI/XviD(追加)
	  新規につき多数

	  WAV(追加)
	  77A1 -> The True Audio

	  Real-Audio(追加)
	  RAAC -> RealAudio 10
	  RACP -> RealAudio 10+

真空波動研 040912
2004/09/12

	・全体的に処理の過不足を見直してかなりの修正や削除を加えました。
	  各形式は念のため手持ちのサンプルで調べましたがどこかにバグが増えてるかもしれません。
	  気がついた部分がありましたら掲示板で指摘して頂けると助かります。

	・全形式に以下の変更をしました。(元からそうなっていた形式は除く)

		・サンプリングレート、フレームレート、ビットレートを小数点第二位までの表示にしました。

		・映像と音声があるファイル(avi,mpg,real等)で音声が無かった場合にNo Soundと表記するのを止めました。

	・今まで別々にやっていたRIFF形式の読み込みを統合しました。
	  かなり適当だった読み方から、チャンクをきちんと解釈するようにしました。

	・AVIの読み込みに以下の変更をしました。
	  音声がMP3かAC-3の場合で01wbが先頭1Mまでにあれば音声の詳細をさらに詳しく出します。
	  あとAVIのバージョンと映像部分のビットレート表示も出すようにしてます。

	・MP3の読み込みに以下の変更をしました。
	  MP3で取得する場合がある使用フロントエンド名が、ないのに関わらず取得してしまう場合があったのを対策しました。
	  フロントエンド名を[ ]で括っていなかったのも修正しました。
	  MP3でのLAMEタグ取得をLAME3.90以下の場合でも行っていたのを修正しました。3.90以下はLAMEバージョンのみの表示になります。

	・FLACの詳細取得でバッファオーバーフローが起きていたのを修正しました。

	・AC-3でLFE表示に対応しました。5.1とかの.1表示の為にAC-3だけチャンネル数表記が小数点有りになってます。

	・v3.96以上のMonkey's Audioの詳細表示に対応しました。

	・MusePackのビット幅が16Bit幅固定の為、詳細表示に出さないようにしました。

	・MPEG1/2動画のアスペクト比をフレームレートの後に表示するようにしました。

	・RealMedia/旧RealAudio形式の詳細表示に対応しました。
	  再生にはReal Alternativeがインストールされているのが条件です。
	  旧RealAudioの詳細表示もできますがReal Alternativeでは再生できません。

	・音声のみのMPEG1動画がMPEG1として認識されない場合があるのを修正しました。

	・再生するファイル切り替えの際に、現状再生しているファイルをすぐにアンロードするように変更しました。
	  ネットワーク経由での再生等重い読み込み時にかなり切り替えが速くなったかもしれません。

	・AU/SNDの詳細でビット幅が2重に出る為、Codecs.iniの[AU]からビット表記を消しました。

	・MIDIの詳細でタイトルが無いものにはNo Titleと入れないようにしました。

	・プレイリストからの詳細のコピーの形式が古かったのを修正しました。

	・[ヘルプ]->[Format.txt参照]を追加しました。
	  既定のテキストエディタで開きます。

	・[動作]->[Codecs.ini再読込]が無くなりました。Codec判別が必要な形式の場合、逐次読み込みになります。

	・[表示] -> [詳細のコピー]でコピーされる形式をSuperLiteと同じにしました。

	・FORMAT.TXTがずっとFOTMAT.TXTになっていたのを修正しました(大汗

	・Codecs.iniに以下を追加/修正しました。
	  [AVI]の方にあったRealの映像Codecを[REAL-VIDEO]へ移動、音声は[REAL-AUDIO]です。
	  QuickTime専用と思われるものも若干QTの方に移動しました。

	  AVI/Video(追加)
	  DVCS -> DV Codec(DVCS)
	  DVH1 -> Panasonic SMPTE 370M
	  DVHD -> DV Codec(DVHD)
	  DVSD -> DV Codec(DVSD)
	  FFV1 -> FFMPEG
	  LBYR -> ?(LBYR)
	  LJ2K -> Lead JPEG 2000
	  NTN2 -> Nogatech Video Compression 2
	  SEDG -> Samsung MPEG-4
	  SP40 -> Sunplus SP40
	  VP62 -> On2 VP6(VP62)
	  VUUU -> ?(VUUU)

	  AVI/Video(修正)
	  I420 -> Intel Indeo 4(I420)
	  IAN  -> Intel Indeo 4(IAN )
	  LZO1 -> Lempel-Ziv-Oberhumer

	  AVI/Divx5(追加)
	  DivX503b1314 -> DivX 5.2.1 Beta
	  DivX503b1328 -> DivX 5.2.1

真空波動研 040826
2004/08/26

	・Codecs.iniに以下を追加/修正しました。

	  AVI/Video(修正)
	  3IV0 -> 3ivx Delta 1.0-3.5(3IV0)
	  3IV1 -> 3ivx Delta 1.0-3.5(3IV1)
	  3IV2 -> 3ivx Delta 4
	  3IVX -> 3ivx Delta 1-3
	  AASC -> Autodesk Animator(AASC)

	  AVI/Video(追加)
	  3IVD -> DivX3/MS MPEG4-V3(3IVD)
	  AAS4 -> Autodesk Animator(AAS4)

	・Ogg Vorbisで再生時間とビットレート表示がおかしくなる場合があるのを修正しました。

	・カーソルキーでの早送りに関する変更をしました。
	  設定はメインの[動作]->[カーソルキー移動量]です。PageDownとPageUpは無くし、カーソル左右のみになりました。
	  メイン、プレイリスト、拡大鏡で同じ設定で早送りと巻き戻しができます。

	・タスクトレイアイコンを使用しない状態でMediaPlayerがエラーを出すとアイコンが出てしまうのを修正しました。

	・動画のサイズ調整で1/16と1/4の所の変更が効かなくなっていたのを修正しました。

真空波動研 040717
2004/07/17

	・[動作]->[タスクトレイアイコンを使用しない]を新設しました。
	  チェックを付けると、従来に戻ります。

	・RIFF MP3でゼロ除算が出る場合があるのを修正しました。

	・多重起動禁止状態で既に立ち上がっている真空波動研へ関連づけ起動でファイルを読み込ませた場合に、
	  まれにファイル名が化ける問題を別方法で対策しました。頻度は減ると思います...

	・無圧縮のAVIでCodecの判別に失敗する場合があるのを修正しました。

	・Codecs.iniに以下を追加しました。

	  AVI/DivX(追加)
	  DivX503b1263 -> DivX 5.2


真空波動研 040626
2004/06/26

	・タスクトレイアイコン化しました。
	  Windows2000/XP以降のOSではファイル読み込み時にバルーンで詳細が出ます
	  タスクアイコン右クリックのメニューに詳細を入れてあります(クリックで詳細がクリップボード行き)

	・半透明の際に拡大鏡だけ処理を忘れていたのを修正しました。

	・メインウインドウのリピート区間下のプレイリスト操作のボタンがいつの間にか死んでいたのを修正しました。

	・関連付けで[登録][元に戻す]終了後、ウインドウを閉じるように変更しました。

	・MPEG2動画で音声がAC-3の時、サブIDを0x80の固定から0x80〜0x8Fの範囲で認識するように修正しました。

	・Codecs.iniに以下を追加しました。

	  AVI/Video(追加)
	  BGR -> 無圧縮(RGB32)

真空波動研 040507
2004/05/07

	・アイコンを2種類追加しました。

	・Ogg Vorbisが自力詳細取得になりました。今回からmp3infp.dllは不要になります。

	・多重起動OFFの状態で起動済の真空に関連づけ起動からファイル名を渡す際に失敗する場合があるのを修正しました。

真空波動研 040220
2004/02/20

	・AAC(MPEG-2,MPEG-4)形式に対応しました。
	  再生には、
	  The CoreAAC directshow filter 
	  AAC parser filter for DirectShow
	  が必要です。
	  CoreAACの現状では3種類あるAACの形式のうちADTS形式しか再生できません。
	  ADIF形式も詳細判別できますが、RAW形式は判別できません。

	・FLAC形式に対応しました。
	  再生にはCoreFLACが必要です。

	・AAC形式をMP3と誤認識するのを修正しました。

	・アイコンを3種類追加しました。

	・同梱のmp3infpを2.43にしました。

	・再生中にD&Dからの読み込みと関連づけ起動での読み込み時に、MediaPlayerを一旦停止させるようにしました。
	  再生中からの場合でHDD以外でのメディア上での詳細読み込み速度が上がると思います。

	・多重起動禁止状態で既に立ち上がっている真空波動研へ関連づけ起動でファイルを読み込ませた場合に、
	  まれにファイル名が化ける問題に真空波動研Liteで使った対策をしました。しかし再現しなくなったかどうかは不明です。

	・MPEG1/2動画に、再生時間を追加しました。
	  SCRを元に時間計算をする為、PACK_HEADERの無いMPEGは0秒になります。
	  ※MPEGによっては誤差が大きく出る場合があるようです※

	・[リスト編集]->[全て選択]、[選択の切り替え]を追加しました。
	  Windows標準の動作と一緒です。全て選択と、選択の反転をします。

	・Codecs.iniに以下を追加しました。

	  AVI/Video(追加)
	  M4CC -> Divio MPEG-4
	  ZYYY -> ?(ZYYY)

	  AVI/Audio(追加)
	  00FF -> AAC
	  0162 -> Windows Media Audio9 Professional
	  2001 -> Dolby DTS
	  2002 -> ?(14_4)
	  2003 -> ?(28_8)
	  2004 -> ?(COOK)
	  2005 -> ?(DNET)
	  7A21 -> GSM-AMR (CBR no SID)
	  7A22 -> GSM-AMR (VBR including SID)

	  AVI/Audio(修正)
	  FFFE -> Extensible wave

真空波動研 040128
2004/01/28

	・拡大鏡を閉じてしまうとその後拡大鏡が反応しなくなるのを修正しました。

	・Mutexの解放を忘れていたのを修正しました。

	・Codecs.iniに以下を追加しました。
	  AVI/Video(追加)
	  VP60 -> On2 VP6(Simple)

	  AVI/Video(修正)
	  VP61 -> On2 VP6(Advanced)

真空波動研 040117
2004/01/17

	・未対応の形式を読み込んだ際に、詳細に「未対応の形式」と表示するように変更しました。

	・ビットレートが表により決まっている形式以外での、小数点第2位までの表示に変更しました。

	・MPEG1/2動画で、音声がMPEGだった場合にフレーム数が0fと出ていたのを修正しました。

	・WAVEで詳細取得に失敗する場合があるのを修正しました。

	・MusePackでビットレート計算を間違えていたのを修正しました。

	・AIFFにビットレートを追加しました。

	・[ヘルプ]->[History.txt参照]を追加しました。
	  HISTORY.TXTを開くだけです。

	・Codecs.iniに以下を追加しました。

	  AVI/Audio(追加)
	  F1AC -> CoreFLAC ACM

真空波動研 040101
2004/01/01

	・真空側での音量調節を復活させました。以前と変りありません。

	・MPEGのアスペクト比の表示を一部手直ししました。

	・Dolby AC-3のビットストリームモードの表記で間違った表示をする場合があるのを修正しました。

	・WAVファイルでBit数が0Bitでも表示していたのを修正しました。

	・いつの間にか*.wavの詳細から再生時間が抜けていたのを修正しました。

	・FORMAT.TXTを今回から同梱します。
	  詳細の見方を、一応書いてあります...

	・MP3系に以下の大幅な変更をしました。

		・全て自前で計算するように変更、今回からmp3infpはMP3系には使用しなくなります。

		・ビットレートを小数点第2位まで表示、LAMEタグの読込みやエンコーダ名等を追加しました。

		・シーケンスヘッダの検索範囲をファイル先頭から10kの範囲に変更しました。

		・JointStereoモードの表記を全てMPEG1扱いにしていたのを修正しました。
		  今回からmp3の種類によって表示が変ってきますので見方についてはFORMAT.TXT見て下さい。

	・UPX圧縮をする際にアイコンも一緒に圧縮した為にアイコンが1種類しか選択できなかったのを修正しました。

	・おまけ同梱開始しました。
	  真空から詳細チェック部分だけを抜いたようなものです。D&Dメインで使って下さい。
	  詳細表示能力は、真空と同一です。

真空波動研 031207
2003/12/07

	・MediaPlayerの方で直接動画のサイズ変更した場合、真空側で追従するようにしました。

	・[表示]->[拡大鏡]を新設しました。
	  MediaPlayerのシークバーだけ取り出したようなもので、
	  長さ自由ですのでMediaPlayer純正よりは細かいシークが可能だと思います。
	  面倒省きでフレーム、時間の両単位を表示してます、FrameDisp有効かどうかでどちらかの表示が狂いますので、
	  各自で選択している方を眺めて下さい。
	  バーを右クリックでカーソル上下左右移動時とPageUp、PageDown時の移動量を任意に設定できます。

	・[動作]->[実行中はスクリーンセーバー停止]を新設しました。
	  チェックを付けておく事で実行中にスクリーンセーバーを一時的に停止させます。

	・真空側での音量調節を削除して、常にMediaPlayer側の音量設定を表示するようにしました。
	  フルスクリーン時にシークバーを出した時もこれで音量調節が出ると思います。

	・[常に最前面に表示]が有効の時、Optionを押すと下にメニューが隠れてしまうのを対策しました。
	  押した時に[常に最前面に表示]を無効にします。

	・MPEG系を除く全ての形式でSTEREOとMonoの表記を取りやめました。?chと、チャンネル表記になります。

	・MPEG系音声で、MPEG2時のサンプリングレート16.00KHzを12.00KHzと表示していたのを修正しました。

	・詳細の取得に失敗するAIFFがあるのを修正しました。

	・QuickTime(*.mov)の先頭付近がかなりあやふやで判別しきれない為、拡張子でも判別するように変更しました。
	  が、ヘッダが最後尾にあるmovもありまして、現状これ以上やる気無しです。

	・レジューム起動時、対象ファイルが存在しなかった場合に例外が発生していたのを修正しました。

	・ICON.DLL廃止、exeに直接埋込むようにしました。
	  さらにアイコンが1つ追加されてます。

	・Codecs.iniに以下を追加しました。

	  AVI/Video(追加)
	  VP61 -> On2 VP6
	  PNG1 -> CorePNG
	  ASLC -> Alparysoft Lossless Video Codec

	  AVI/Divx5(追加)
	  DivX503b1025 -> DivX 5.1.1 Beta2
	  DivX503b1031 -> DivX 5.1.1

	・関連付けのプリセット拡張子に以下を追加、削除しました。
	  (追加)
	  .rmp
	  .mpc
	  .mac

	  (削除)
	  .mp4

真空波動研 031101
2003/11/01

	・DivX5のエンコードバージョン判別でゴミが付き判別に失敗するAVIがあるのを修正しました。

	・DivXPro5.1.1Beta1からの12文字での判別に対応しました。

	・Monkey's Audioの詳細に対応しました。再生はMonkeySource v0.50(DirectShowFilter)で確認してます。

	・MusePackの詳細に対応しました。再生はMPC Direct Show Filterで確認してます。
	  ビットレート計算は仕様上1秒未満のMusePackを1秒として計算をします。

	・プレイリストのファイルサイズでソートを掛けた場合に意図したソート順にならないのを修正しました。

	・ICON.DLLにアイコンを一つ追加しました。

	・WindowsXPが標準でカレントフォルダよりシステムフォルダのmp3infp.dllを優先して読み込むので、
	  真空と同じ場所にあるmp3infp.dllを優先で読み込むように修正しました。

	・DivXのエンコードバージョン判別をさらに改良しました。
	  不明な場合、Divx5.x(?????/?????/?????)と出ますので、ファイル名の差し支え無い部分(後によくDivxのバージョンが書いてあると思います)と、
	  詳細のコピーを教えて頂ければ助かります。

	・Codecs.iniに以下を追加しました。

	  AVI/Audio(追加)
	  C0CC -> GigaLink Audio Codec

	  AVI/Divx5(追加)
	  DivX503b696 -> DivX 5.0.3
	  DivX503b1009 -> DivX 5.1.1 Beta1

真空波動研 030913
2003/09/13

	・ヒントを通常表示に戻す設定を追加しました。
	  [表示]->[ヒント設定]->[通常表示ヒント]です。フォント、背景色の設定は無視されます。
	  色の設定もそれぞれに追加になりました。

	・ヒントの表示の可否を設定できるようにしました。
	  [表示]->[ヒント設定]->[表示する]です。初期状態ではONです。
	  OFFにすると全てのヒントが表示されなくなります。(MediaPlayer自身が出すヒントは別)

	・初期状態でのヒントの表示形式を半透明ヒントから通常表示にしました。

	・起動時に画面サイズにフォーカスが当たられていて不便なのを修正しました。
	  MediaPlayer自身に当てています。

	・MPEG2周りを再度書き直ししました。
	  今の所リニアPCMとDTSに詳細はありません。「LinearPCM」と「DTS」の文字のみです。

	・同梱のmp3infpを2.41へ更新しました。

	・詳細のコピー時に真空のバージョンを付加するようにしました。
	  メインウインドウの方からのみです。プレイリストの方からには付きません。

	・プレイリストの[mp3infp]をメインフォームにも追加しました。
	  [表示]->[mp3infp]です。

	・MIDIファイルで曲名の取得に失敗するファイルが結構あったのを修正しました。

	・MPEG1/2の詳細取得で失敗の可能性がまだあったのを修正しました(特に音声)。

	・フルスクリーンのまま自動終了すると例外が発生するのを修正しました。

	・wFormatTagに16進表記でアルファベットが入る数値の場合、音声Codecの認識に失敗してたのを修正しました。

	・ICON.DLLさらに追加しました。
	  4つ増えています。

	・Codecs.iniに以下を追加しました。

	  AVI/Video(追加)
	  CSCD -> RenderSoft CamStudio lossless CODEC

	・DivX5のエンコードバージョン判別に対応しました。
	  未知の場合は「DivX 5.x(不明DivX50?b???)」と出ます。
	  これに伴ってCodecs.iniに[AVI-DIVX]セクションを追加してあります。書式は一緒です。
	  現状で、5.1までの分をCodecs.iniに書いてあります。

真空波動研 030802
2003/08/02

	・永らくお待たせしましたが、MPEG1/2系の詳細ミスをほぼ完全に修正しました。
	  出ないとは言い切れませんが、これで出るのであれば壊れているか、
	  MPEGとして矛盾してる部分があるファイルだと思います。

	・MPEG1/2で音声の詳細がNo Soundにもならず抜ける場合があったのを修正しました。

	・MPEG2動画で音声がAC-3形式だった場合の詳細に対応しました。
	 主に*.vobです。

	・「ファイルのオープンに失敗」時にファイルサイズの表示が滅茶苦茶な数値になっていたのを修正しました。

	・プレイリストやヒントで表示するファイルサイズが2Gを超えるとマイナス表示になるのを修正しました。

	・プレイリストに[リスト編集]->[リネーム]を追加しました。
	  普通のリネームができます。

	・プレイリストに[リスト編集]->[mp3infp]を追加しました。
	  mp3infpがインストールされている環境で指定したファイルのプロパティを開きます。
	  対応していないファイル等の場合、普通のファイルのプロパティになります。

	・プレイリストが空の状態で1曲進む/戻すをすると例外が発生するのを修正しました。

	・FullSeekの状態が記憶されていなかったのを修正しました。

	・ヒントの表示を変更しました。
	  [表示]->[ヒントの色]で、文字色と縁取りの色が変更可能です。
	  初期状態では文字色が白、縁取りの色は暗赤になっています。

	・FullSeekの状態が記憶されていなかったのを修正しました。

	・縦幅を稼ぐ為にコントロール周りを大幅に変えました。
	  AutoRepeat等は全てOptionと書いてあるボタンの中に入れました。
	  少々解りづらくなったかもしれませんが中身は変わっていませんので。

	・メインウインドウに、プレイリストと同様の1曲先と1曲手前のボタンを付けました。
	  機能は同一です。

	・アイコン募集で送って頂いたアイコンをICON.DLLにまとめて同梱しました。
	 ショートカット作った場合にアイコンとか変える場合にどうぞ。
	 内蔵しようと思いましたがアイコン色数等の関係上リソースに入れる事が出来ませんでした。

	・Codecs.iniに以下を追加しました。

	  AVI/Video(追加)
	  NTZ0 -> 捏造
	  NTZO -> 捏造
	  これに関してはノーコメントで。

真空波動研 030721
2003/07/21

	・詳細の出せるファイルの半数以上でファイルをテキストモードで開いていた致命傷を修正しました。
	  気づかなかったのが不思議ですが、特定のファイルで起きる詳細異常のほぼ全て、これが原因でした。
	  MPEG系やMP3系で特に起こっていたと思われます。申し訳ありませんでした;-;
	  MPEG1/2はそれでもまだ一部おかしいです...

	・CD-DA(*.cda)の詳細に対応しました。
	  標準環境では*.cdaの再生はできません。
	  cddareader.axを予めDirectShowフィルタとして登録しておく必要があります。
	  詳細の順番は、トラックNo、ディスクID、CD上の再生開始位置、曲の演奏時間、になります。

	  SourceForge (Project: guliverkli)
	  http://sourceforge.net/projects/guliverkli/

真空波動研 030718
2003/07/18

	・WindowsMedia系に関する修正2点。

		・詳細にビットレートを追加
		  映像、音声別々です。詳しい方のビットレートを表示してますのでキリのいい表示にはなりません。
		  ビットレートを格納しているフィールドが無いファイルもありますが、
		  その場合は映像のビットレートは全体のビットレートから音声分を引いた数値、音声は便宜上のビットレートを出します。

		・Codec名の参照にCodecs.iniを使わず文字として取得する方式に切り替え
		  WMA7/8/9の判別が出来ないのはやはり問題でしょうから...
		  映像の方も同じく切り替えましたが、WMV系の場合Codecの自動DLがほぼ確実に動くので問題無いでしょう。

	・Codecs.iniに以下を追加しました。

	  AVI/Video(追加)
	  MR16 -> ?(MR16)

真空波動研 030704
2003/07/04

	・AIFFに関する修正3点。

		・サンプリングレートの取得を手抜きから厳密に変更

		・再生時間の追加

		・認識できないAIFFがあるのを修正

	・WindowsMedia系の詳細を自力で取得するようになりました。
	  mp3infpと同様な表示もできますが、敢えてもう少し詳しく出すようにしてあります。
	  WMAの7/8/9の判別が出来ないデメリットもありますが...

	・WindowsMedia系の詳細の為にCodecs.iniで以下を追加/修正しました。

	  AVI/Audio(修正)
	  0160 Windows Media Audio7/8/9(0160)
	  0161 Windows Media Audio7/8/9

	  AVI/Audio(追加)
	  0045 SHARP G.726
	  0163 Windows Media Audio9 Lossless

	  wFormatTagが一緒の為、LosslessではないWMAで7/8/9なのか判別付けられません。仕様です。
	  あと0160のWMAお持ちの方、是非御連絡下さい。何が違っているのか興味があります。

	・README.TXTへアンインストールについての記述を追加しました。

	・同梱のmp3infpを2.36へ更新しました。

	・メインフォーム側で[詳細のコピー]をした場合、ファイル名にカッコがついていなかったのを修正しました。

真空波動研 030611
2003/06/11

	・無圧縮やそれに近いサイズのAVI等で、音声の詳細取得に失敗する場合があったのを修正しました。

	・WindowsMedia系の詳細が出なくなっていたのを修正しました。

	・詳細をファイル名に加えてリネームする機能を追加しました。
	  プレイリストで[リスト編集] -> [詳細付リネーム]です。(ファイル複数選択可)
	  追加する詳細は、プレイリスト上の詳細を使います。その場で新規に調べ直ししませんので注意して下さい。
	  リネームする対象のファイルが再生中だった場合は、アンロードされます。
	  ファイル名として使用できない字が詳細に入ってますので、禁止文字は半角のマイナス(-)に置き換わります。

真空波動研 030523
2003/05/23

	・LAMEタグ付のMP3で詳細の取得に失敗するのを修正しました。

	・[表示]->[大盛りねぎだくギョク]等のMediaPlayerサイズ変更をサブメニュー化しました。

	・Windows2000/XPで使用可能な半透明APIを使ってウインドウを半透明にする機能を追加しました。
	  [表示]->[半透明]から3段階選択できます。
	  [メインウインドウも透過]にチェックを付けておくとメインも透過しますが画像の再生に支障が出ますので注意して下さい。
	  絵さえ出なければOKで、MP3やWAV等はメイン透過していても正常に再生可能です。

	・MPEG2の詳細取得に失敗していたのを修正しました。
	  まだ怪しいです。

	・.auの詳細ビット数、ビットレート、再生時間を追加しました。
	  フォーマット種別は従来の8種類から28種類に増加、フォーマット名はCodecs.iniへ移しました。
	  ただしビットレート計算の都合上、1秒未満のファイルは1秒として計算するのでその場合誤差が出る可能性があります。

	・Codecs.iniの書式を一部変更しました。
	  WAVとQT、今回で新設のAUの、16進コードの頭0xを無くしました。

	・JPEG(Exif)の詳細に対応しました。
	  一部のJPEGでサイズを間違って取得する時があります。解決方法解りませんのでそのままです。
	  Exifでサイズを間違う事は無いと思います。
	  当然、MediaPlayerで表示できるものに限りますし、お遊びみたいなものです。

	・Codecs.iniに以下の修正。

	  AVI/Video(追加)
	  SHYU -> HuffyuvS

	・[動作]->[MP3infpを使わない]が無くなりました。
	  常に使用します。

真空波動研 030505
2003/05/05

	・ファイルを再生中に同じファイルを再度開けない問題で、MPEG1,2とMP3(ID3V1,V2)の4種類の修正を忘れていました。
	  今回で大丈夫だと思います。

	・関連付けで[元に戻す]を選択した場合に、コンテキストメニューから[真空波動研]の項目が削除されないのを修正しました。
	  前バージョンで関連付けした方は一端関連付けをやり直してから[元に戻す]で消えます。
	  真空で新規に登録した拡張子の関連付け自体が消えないのも修正してあります。

真空波動研 030419
2003/04/19

	・ファイルを再生中に同じファイルを再度開けない問題等が出ましたので、
	  以前変更したファイルの開き方を元に戻しました。
	  WindowsXP等で普通に開けない場合もあるみたいですので、早めに入れ替えお願いします。

	・GIF,BMPの詳細に対応しました。
	  当然、MediaPlayerで表示できるものに限りますし、お遊びみたいなものです。

	・前回の変更でバランスの変更が左右の矢印で値を変えられなくなっていたのを修正しました。

	・Codecs.iniに以下の修正。

	  AVI/Video(修正)
	  DX50 -> DivX 5.x

真空波動研 030403
2003/04/03

	・AVIのCodec判別方法を変更しました。
	  fccHandlerとbiCompressionを調べ、双方に違いがある場合はbiCompressionを見るように変更しています。
	  主にDivXの判別対策ですが、逆に故意にFourCCを変えられるXviDでこれを変更した場合、
	  今までXviDと判別していたのが変更に応じて変わるようになります。

	  DivX系亜種で、DivX3と判別していてDivX5を使っているようなミス判別がありましたら是非教えて下さい。

	・Codecs.iniに以下の修正。

	  AVI/Video(修正)
	  3IV2 -> 3ivx Delta 4
	  DIVX -> DivX4
	  DX50 -> DivX5

真空波動研 030401
2003/04/01

	・mpeg音声のLayer表示を数字ではなくIの数で示すように変更しました。

	・音量とバランスの設定を、MediaPlayerの仕様通りに変更しました。
	  大まかな変更はそれぞれ1%ずつになっています。

	・動画サイズの設定をさらに細かくしました。(これで全部です)

	・AutoRepeatが無茶な設定をしていて9999回で止まる可能性があったのを修正しました。

	・主にWindowsXP上でプレイリスト使用時、リスト順に再生されない環境がある問題を修正しました。
	  これに関しては長らくお待たせしてすみませんでした。

	・同梱のmp3infpを2.34へ更新しました。
	  mp3infpr.dllは無くなりました。

真空波動研 030228
2003/02/28

	・AVIの詳細の再生時間を一番後ろへ移動しました。

	・MPEGの詳細に、ビットレートとアスペクト比を追加しました。

	・Codecs.iniに以下の修正/追加。

	  WAV/Audio(修正)
	  0x004f Ogg Vorbis(mode1)  -> 0x674f
	  0x0050 Ogg Vorbis(mode2)  -> 0x6750
	  0x0051 Ogg Vorbis(mode3)  -> 0x6751
	  0x006f Ogg Vorbis(mode1+) -> 0x676f
	  0x0070 Ogg Vorbis(mode2+) -> 0x6770
	  0x0071 Ogg Vorbis(mode3+) -> 0x6771

	  AVI/Video(修正)
	  TVMJ	Truevision TARGA Hardware Codec
	  FRWD	SoftLab-Nsk Forward Motion JPEG(FRWD)
	  DIV3	DivX3(DIV3)
	  DIV4	DivX3(DIV4)
	  DIV5	DivX5(DIV5)
	  DX50	DivX5(DX50)
	  PVW2	Pegasus Wavelet Compression(PVW2)
	  XWV0	XiWave Video(XWV0)
	  XWV1	XiWave Video(XWV1)
	  XWV2	XiWave Video(XWV2)
	  XWV3	XiWave Video(XWV3)
	  XWV4	XiWave Video(XWV4)
	  XWV5	XiWave Video(XWV5)
	  XWV6	XiWave Video(XWV6)
	  XWV7	XiWave Video(XWV7)
	  XWV8	XiWave Video(XWV8)
	  XWV9	XiWave Video(XWV9)
	  TM2X	On2 TrueMotion2X(TM2X)
	  UCOD	eMagix ClearVideo
	  VGPX	Alaris VideoGram QuickVideo VGPixel(VGPX)
	  JPGL	DIVIO JPEG Light
	  CJPG	Creative VideoBlaster JPEG
	  GLZW	Gabest GLZW
	  GPEG	Gabest GPEG
	  QPEQ	Q-Team QPEG(QPEQ)
	  QPEG	Q-Team QPEG(QPEG)
	  HFYU	HuffYUV
	  CFCC	Konkrete SoftPerception
	  VIFP	VFAPI Reader Codec
	  DIV2	DivX3/MS MPEG4-V2(DIV2)
	  DIV3	DivX3/MS MPEG4-V3(DIV3)
	  DIV4	DivX3/MS MPEG4-V3(DIV4)
	  AP41	Angelpotion/DivX3(AP41)
	  DIV6	DivX3/MS MPEG4-V3(DIV6)
	  DIVX	DivX5(DIVX)
	  MP4S	DivX3/MS MPEG4-V1(MP4S)
	  M4S2	DivX3/MS MPEG4-V2(M4S2)
	  XVID	XviD MPEG4
	  RV20	RealVideo G2
	  RV30	RealVideo 8
	  SP54	Aiptek MegaCam(SP54)

	  ※MotionJPEG系のCodecはあちこちのメーカーが同じ名前で使う為、解釈がマチマチです。

	  ※DivX3系について
	  FourCCを変えただけの亜種が非常に多いです。それぞれがMS MPEG4のV1,2,3に対応してるのですが、
	  最早どれがどれだか解りません。
	  出来る限りで調べて書きましたが恐らく間違いはあるでしょう。

	  ※DivX5系について
	  DIV5,DX50,DIVXのみを本家と考えます。
	  このFourCCでもDivX3の場合があります(特にDIVX、DIV5でも)

	  ※本家MS MPEG-4について
	  MPG4、MP42、MP43のみと考えてます。

	  AVI/Video(追加)
	  MJPA	Pinnacle ReelTime MJPG-A Software
	  SJPG	White Pine
	  FRWT	SoftLab-Nsk Forward Motion JPEG(FRWT)
	  DVHD	DV Codec(DVHD)
	  DVSL	DV Codec(DVSL)
	  IYUV	Intel Indeo iYUV R2.0
	  NT00	NewTek LigtWave HDTV
	  T420	Toshiba YUV 4:2:0 & 4:1:1
	  EM2V	Etymonix MPEG-2 I-frame
	  U263	UB Video StreamForce
	  FVFW	FFVFW
	  DM4V	Dicas MPEGable MPEG-4
	  DP02	DynaPel MPEG-4
	  PVWV	Pegasus Wavelet Compression(PVWV)
	  IPJ2	Image Power JPEG2000
	  RUD0	nico Rududu
	  AEIK	Intel Indeo 3.2
	  TM2A	On2 TrueMotion2X(TM2A)
	  VP40	On2 TrueCast VP4
	  VP50	On2 TrueCast VP5
	  VTLP	Alaris VideoGram QuickVideo VGPixel(VTLP)
	  LSVM	Vianet Lighting Strike Vmail
	  FRWU	Darim Vision Forward
	  XLV1	Videologic VLCAP
	  DPSC	DPS PAR
	  DPS0	DPS Reality
	  RTV0	NewTek VideoToaster
	  DVMA	Darim Vision DVMPEG
	  VDST	VirtualDub remote frameclient
	  WRPR	VideoTools VideoServer Client Codec
	  NUV1	NuppelVideo
	  MTGA	TGA images decoder
	  MPNG	PNG images decoder
	  LZO1	LZO compressed
	  DIV1	DivX3/MS MPEG4-V1(DIV1)
	  COL0	DivX3/MS MPEG4-V3(COL0)
	  COL1	DivX3/MS MPEG4-V3(COL1)
	  3IVD	DivX3/MS MPEG4-V3(3IVD)
	  MPG3	DivX3/MS MPEG4-V3(MPG3)
	  BLZ0	DivX3/MS MPEG4-V1(BLZ0)
	  UMP4	DivX3/MS MPEG4-V1(DIV1)
	  XVIX	DivX3/MS MPEG4-V2(XVIX)
	  WMV3	Windows Media Video 9
	  DVC 	DV Codec(DVC )
	  RV40	RealVideo 9
	  SP53	Aiptek MegaCam(SP53)
	  SP55	Aiptek MegaCam(SP55)
	  SP56	Aiptek MegaCam(SP56)
	  SP57	Aiptek MegaCam(SP57)
	  SP58	Aiptek MegaCam(SP58)
	  Q1.0	Q-Team QPEG(Q1.0)
	  Q1.1	Q-Team QPEG(Q1.1)
	  ROQV	Id RoQ File Video Decoder

	  ※DV系のCodecはあちこちのメーカーが同じ名前で使う為、統一してます。

	  AVI/Audio(追加)
	  0x0008	Microsoft DTS
	  0x0043	IBM AVC ADPCM
	  0x0093	MediaSonic G.723
	  0x0094	Aculab 8Kbps
	  0x00a0	Malden Electronics PHONYTALK
	  0x0125	Sanyo ADPCM
	  0x0131	Sipro Lab Telecom ACELP.4800
	  0x0132	Sipro Lab Telecom ACELP.8V3
	  0x0133	Sipro Lab Telecom ACELP.G.729
	  0x0134	Sipro Lab Telecom ACELP.G.729A
	  0x0135	Sipro Lab Telecom ACELP.KELVIN
	  0x0140	Dictaphone G.726 ADPCM
	  0x0150	Qualcomm PUREVOICE
	  0x0151	Qualcomm HALFRATE
	  0x0155	Ring Zero Systems TUBGSM
	  0x0210	UHER informatic GmbH ADPCM
	  0x0216	Ulead DV ACM
	  0x0230	I-link Worldwide ILINK VC
	  0x0240	Aureal Semiconductor RAW SPORT
	  0x0250	Interactive Products HSX
	  0x0251	Interactive Products RPELP
	  0x0260	Consistent Software CS2
	  0x0270	Sony ATRAC3 (MiniDisk LP2)
	  0x0450	QDesign Music
	  0x0681	AT&T Labs TPC
	  0x1101	Lernout & Hauspie CELP
	  0x1102	Lernout & Hauspie SBC
	  0x1103	Lernout & Hauspie SBC
	  0x1104	Lernout & Hauspie SBC
	  0x181c	VoxWare RT24 speech codec
	  0x1fc4	NTC ALF2CD ACM
	  0xffff	Development

	  AVI/Audio(修正)
	  0x003d	Xebec Multimedia Solutions
	  0x0091	Siemens SBC24
	  0x0680	AT&T Labs VME VMPCM
	  0x1100	Lernout & Hauspie

	  QT/Video(追加)
	  8BPS	Apple Planar RGB
	  RLE 	Apple BMP
	  MJPA	Apple Motion JPEG A
	  MJPB	Apple Motion JPEG B
	  JPEG	Apple Photo-JPEG
	  MP4V	Apple MPEG-4
	  PNG 	Apple PNG
	  AZRP	Apple Video
	  RPZA	Apple Video
	  SMC 	Apple Graphics
	  TGA 	Apple TGA
	  TIFF	Apple TIFF
	  AVR 	Avid ABVB/NuVista(AVR )
	  AVRN	Avid ABVB/NuVista(AVRN)
	  AVDV	Avid DV
	  DTMT	Media-100(DTMT)
	  DTNT	Media-100(DTNT)
	  R411	Radius DV YUV PAL/NTSC(R411)
	  R420	Radius DV YUV PAL/NTSC(R420)
	  DVC 	Radius SoftDV PAL/NTSC(DVC )
	  DVCP	Radius SoftDV PAL/NTSC(DVCP)
	  DVL 	Radius SoftDV 16:9 PAL/NTSC(DVL )
	  DVLP	Radius SoftDV 16:9 PAL/NTSC(DVLP)
	  SVQ1	Sorenson Video 2
	  SVQ3	Sorenson Video Pro 3
	  SPRK	Sorenson Spark
	  MPG4	Sorenson MPEG-4 Pro
	  ZYGO	Media Metastasis ZyGoVideo
	  IMJG	Accom Sphere
	  MCZM	Theory Microcosm
	  ACTL	Streambox ACT-L2
	  BXBG	BOXX BGR
	  BXRG	BOXX RGB
	  BXY2	BOXX YUV

真空波動研 030214
2003/02/14

	・MPEGの詳細取得を書き直し、終端または5Mまで読み込みに変更になりました。
	  無茶していた部分が無くなったので、若干音声の認識率が下がった気がしますが、しばらくお待ち下さい。
        
	・再生中等に新しくファイルをロードする際、現在のファイルをアンロードしてから読み込むようにしました。
	  今までは停止させてない為、読み込みに無駄に時間(場合によってはかなり)がかかっていました。
        
	・なんとなく付けていたプレイリスト左下のリスト件総数をもう少しまともに動くようにしておきました。

	・メインウインドウの[ファイル]->[閉じる]で、タイトルやヒントも起動時に戻すようにしました。

	・プレイリストに現在選択しているファイルの削除と移動を追加しました。
	  [ファイル]->[選択しているファイルの削除]と、[選択しているファイルの移動]です。
	  プレイリスト右クリックにも[ファイルの削除]と[ファイルの移動]で同じ事が可能です。
	  再生中のファイルが含まれていた時は、アンロード(閉じる)されて、移動や削除が行われます。
	  移動の場合はファイルをリストのフルパスが変更して移動され、削除はリストからも削除されます。
	  削除、移動の成功可否を1回ずつ確かめると1件消すのに1秒もかかり(シェルもそうですね)、
	  まとめてやると確認ができない為(シェルが出す例外を捕捉する方法が解らない)、あえてエラーチェックはやっていません。
	  受け側のドライブの空き容量等を確かめてから実行して下さい。

	・短いwav等(1秒とか)を関連付けから再生した際に再生されずに終了してしまうのを修正しました。
	  AutoRepeat、AutoRewindのチェックが外れているのが前提条件になりますので注意して下さい。(初期状態では両方ともオフです)

	・同梱のmp3infpを2.32に入れ替えました。

真空波動研 030127
2003/01/27

	・Dolby AC-3形式(*.ac3)の詳細に対応しました。
	  .wavで0x2000のDolby AC-3も同じく対応しましたが、.aviは取得に時間が掛かりすぎるので従来通りです。

	・.wavで一部の音声コーデックの認識に失敗するバグを修正しました。

	・.mpgの詳細取得ミスを幾分か軽減させました。前よりは減ったかもしれません。

	・[読み込みに失敗.] をきちんとエラー内容を表示するように変更しました。

	・真空波動研側で監視しているMediaPlayerへのショートカット(ALT+1,2,3)が、
	  MediaPlayerにフォーカスが当たってないと動かないのを修正しました。
	  メインフォームさえフォーカスが当たっていればいつでも使えます。

	・メインフォームでもカーソル左右で再生位置を+-5で加減も可能です(かなり前から可能でしたが書き忘れてました)
	  プレイリストのそれと一緒です。

	・プレイリストにネットワーク経由のファイルを(\\から始まるやつです)登録した場合、
	  次の起動時の相対パス復元で誤判別を起こして読み込み不可になっていたのを修正しました。

	・自動終了の条件が揃っている状態で1秒とかのかなり短いファイルを関連付けで再生されると、
	  再生されずに終了してしまうのを修正しました。

	・[動作]->[関連付け]で関連付けを簡単に出来るようにしました。
	  元に戻すのも可能です。あと、アイコンは変えません。

真空波動研 030110
2003/01/10

	・.mpgの音声検索範囲を100kから500kへ増やしました。
	  VGAクラスの大きさの動画で音声がNo Soundになりがちなのが改善されると思います。

	・AVIビデオCodecで以下を追加。
	  DIVF -> DivX(DIVF)

	・ビデオCodecで以下の修正。
	  MPG4 -> Microsoft MPEG4-V1

	・レジストリ廃止しました。本体と同じ場所にSinkuHadouken.iniを作りそこに各設定を保存します。
	  delete.regでレジストリを消してしまっても構いません。
	  位置が変になった等の問題が出た場合はiniを消して起動し直せば初期状態で立ち上がります。

	・プレイリストの恥ずかしい誤字修正をしました。

	・長らく言われてきた並問題(次回起動時に勝手に並サイズになってしまう)を解決しました。

	・CODECの認識情報をCodecs.iniから読み込む方式に変更しました。
	  編集する事でユーザー側で削除や追加、名前の変更が可能になります。
	  編集方法はreadme.txtに書きましたがよく解らない人は触らない方がいいと思います。

真空波動研 030101
2003/01/01

	・プレイリストに右クリックからのメニューを追加しました。
	  編集が少し楽かもしれません。

	・プレイリストからの詳細のコピー時にも1ファイル3行になりました。
	  メインからの詳細のコピーと同じになった、という事です。

	・プレイリストのフォーカスが外れても選択状態を見えるように修正しました。

真空波動研 021203
2002/12/03

	・AVIビデオCodecで以下を追加。
	  VSSV -> Vanguard Software VSS Video
	  ZYGO -> ZyGo ZyGoVideo

	・プレイリストで先頭のファイルが下へ移動できないのを修正しました。

	・プレイリストに[リスト編集]->[先頭へ]と[再下段へ]を追加しました。
	  現在の選択をそのままの形で先頭か再下段へ移動させます。

	・プレイリストに[リスト編集]->[詳細のコピー]を追加しました。
	  選択しいるファイルの詳細をクリップボードにコピーします(複数選択可)

	・mp3infp未使用時にMP3系のVBR表示が2個ダブって表示されるのを修正しました。

	・メインフォームのヒント表示に1行追加、ファイルサイズを出すようにしました。

真空波動研 021021
2002/10/21

	・起動直後周りの細かい修正を多数しました。起動時からのリスト出現の際の挙動等を特に。

	・拡張子自動リネームを使わず嘘の拡張子のまま読み込みした際に例外が発生していたのを修正しました。
	  嘘の拡張子の場合、mp3infpを使わず真空波動研のみで詳細を出します。

	・mp3infpを強制的に使わない機能を搭載しました。[動作]->[mp3infpを使わない]
	  デフォルトはOFFです。

	・Ogg stream(*.ogm)の詳細表示に音声部を追加しました。まだ仮対応です。
	  無音aviとoggがMuxされたogmにしか今の所音声は対応してません。
	  まだまだ決めうちが多い為他の音声形式だと音声表示化けます。各自稼働状況教えてもらえれば助かります。

	・コーデック名のOpenDivx表記をDivxに統一しました。
	  今更になってこれは実に激しく恥ずかしい表記だったのかも...

真空波動研 021016
2002/10/11

	・拡張子自動リネームがチェックの有無にかかわらずプレイリスト側で効きっぱなしになっていたのを修正しました。

	・WMA,WMVの詳細表示がで出なくなっていたのを修正しました。

	・*.ogmの判別に少々の追加をしました。

真空波動研 021008
2002/10/08

	・Ogg stream(*.ogm)の詳細表示に仮対応中です。
	  こちらはフォーマット資料とかが全く無い為苦戦しています。
	  何か情報をお持ちの方は些細なことでもいいのでご教授お願いします...

	・間違っている拡張子の自動変更を搭載しました。[動作]->[拡張子自動リネーム]
	  ファイル先頭が決まっているファイルの種類を読み込み時にチェック、間違っている場合は正しい拡張子に修正します。
	  メインウインドウ、プレイリスト(再検査も含める)両方で作動します。

	  以下の拡張子に対応させています。
	  AVI,WAV,MID,RMI,AU,AIFF,MP3,RMP,MPG,WMV,OGG,OGM
	  判別に失敗した場合は何もしません。

	  MP3,MPGは厳密に先頭は決まっていないので誤判別の可能性がありますが、こちらで試して概ね問題無いので対応させていますが、
	  誤判別の可能性も十分にありますので注意してください。

	  WMV,WMA,ASFの3つは、
	  映像有り,音声有り -> WMV
	  映像有り,音声無し -> WMV
	  映像無し,音声有り -> WMA
	  で統一されます。mp3infpが使えない場合は全てWMVで統一です。

	  初回だけ、プレイリストは念の為全ファイル再検査させて下さい。

真空波動研 021003
2002/10/03

	・QuickTime(*.mov)の詳細表示に仮対応中です。最終的にAVIと同じまでの情報を出すつもりです。
	  ですが、最近のQuickTimeは殆どMediaPlayerでは再生できませんし、再生できるのはCodecがCinePak等の古いCodecの場合ぐらいですから、
	  需要はほぼ無いと思います,,,

	・ファイルの種類によってStereo,MonoだったりSTREO,MONOだったりしたのでStereo,Monoで統一しました。

	・プレイリスト編集の際の選択範囲のフォーカスアウト対策にきちんと用意されている関数を使うように変更しました。

	・AIFFの詳細表示が今までずっと正常に動作していなかったのを修正しました。

	・*.ogmを*.oggと誤判別し、詳細取得で例外が発生していたのを回避させました。
	  強引な手法で*.oggと*.ogmの区別を見てますが手持ちで試しただけで正常に動くかどうか解りません。

	・同梱してあるmp3infpのDLLを2.30と入れ替えしました。

真空波動研 020913
2002/09/13

	・レジューム時に既にそのファイルが存在しない場合、例外が発生するのを修正しました。

	・[ファイル] -> [閉じる]を追加しました。アンロードします。利便性を考えてあえて詳細、ヒント等はそのままにしておいています。

	・本バージョンからT-Matsuo氏の好意でmp3infpのDLLを同梱する事になりました。
	  mp3infp 2.28aのDLLにUPX圧縮をかけたものが同梱されています。
	  真空波動研と同じ場所に置いていれば、mp3infpのインストールの是非を問わず真空波動研上で同等の機能が使用できます。


	・AVIビデオCodecで以下を追加。

	  DVIS -> DV Codec Iris
	  DVRS -> DV Codec Iris Ref AVI
	  共にVSYNC氏(http://www.ops.dti.ne.jp/~vsync/)作のDVコーデックです。

真空波動研 020911
2002/09/11

	・初回起動時にプレイリストを開くと例外が発生、終了もできなくなるとんでもないミスを修正しました。
	  チェックが甘くて申し訳ありませんでした;-;

真空波動研 020910
2002/09/10

	・フルスクリーンのままAutoCloseが効いた場合に例外が発生していたのを修正しました。

	・メインウインドウで、よく使うメニューにショートカットを割り当てておきました。
	  かなり適当臭いんですがどうでしょうか？

	・コントロールの[多重起動]と[ListPlay]をメインメニューの[動作]へ移動させました。

	・プレイリストの表示状態も記憶するように変更しました。
	  起動時、一緒にプレイリストが出る時、一瞬チラつきますが気にしないで下さい...

	・プレイリストで選択位置を記憶するように変更しました。

	・コントロール非表示時にはMediaPlayer付属の音量コントロールを出すように変更しました。
	  利便性の為ですが当然、真空波動研側の音量調節と矛盾が出ますので気を付けて下さい。

	・MediaPlayerの各コントロールの表示、非表示のプリセットを4つ用意しました。
	  デフォルトは[表示] -> [大盛ねぎだくギョク]で、今までの表示です。
	  なお、コントロール非表示ではない場合、コントロールの高さよりは小さくなりません。

	・[動作] -> [レジューム]で前回終了時からのレジュームに対応しました。
	  ストリーム系では使わないで下さい。

真空波動研 020903
2002/09/03
	・プレイリストが画面に出ていない状態で[連続再生]にチェックを付けるとランダム再生になっていたのを修正しました。

	・起動時にEAccessViolation例外が出る事への対策をしました。
	  インストールされているmp3infpのバージョンが2.11以前の環境がこれに当てはまります。
	  該当した場合、mp3infpは使用しませんので、バージョンアップして下さい。

	・mp3infpの読み込みになんらかの理由で失敗、あるいは上記に該当した際、乱数発生器の初期化を飛ばしていたのを修正しました。

		・プレイリストで再生中、スペース押して停止してる状態からリターンで再生に復帰できなかったのを修正しました。

		・プレイリストで停止させるとファイル先頭に巻き戻しが行われていなかったのを修正しました。

	・AVIビデオCodecで以下を追加。

	  DSVD -> DV Codec(DSVD)
	  M4S2 -> MPEG-4 version 2 simple profile
	  RPZA -> Apple Video
	  RV10 -> RealVideo 1.0
	  TVJP -> ?(TVJP)
	  TVMJ -> ?(TVMJ)

	・AVIビデオCodecで以下を削除。(ミス発覚しました)

	  DXTN -> DirectX Compressed Texture

	・AVIビデオCodecで以下の名前を修正。

	  DXT1 -> DirectX Compressed Texture(DXT1)
	  DXT2 -> DirectX Compressed Texture(DXT2)
	  DXT3 -> DirectX Compressed Texture(DXT3)
	  DXT4 -> DirectX Compressed Texture(DXT4)
	  DXT5 -> DirectX Compressed Texture(DXT5)

真空波動研 020828
2002/08/28

	・ID3V2のMP3で詳細判別時、
	  読み込み範囲があまりにも狭すぎて詳細の取得に失敗する
	  実データ開始地点にシーケンスヘッダがあった場合に詳細の取得に失敗する可能性があるのを修正しました。
	  両方とも主にLAMEエンコードのID3V2 MP3ですが、これでほぼ改善されたと思います。

真空波動研 020827
2002/08/27

	・AVIビデオCodecで以下を追加。

	  ADV1 -> Loronix WaveCodec
	  ADVJ -> Avid M-JPEG(ADVJ)
	  AVRN -> Avid M-JPEG(AVRN)
	  DV25 -> Matrox DVCPRO
	  DV50 -> Matrox DVCPRO50
	  L261 -> Lead H.261
	  L263 -> Lead H.263
	  LCMW -> Lead Motion CMW
	  LGRY -> Lead Grayscale Image
	  MJ2C -> Motion JPEG2000
	  MMES -> Matrox MPEG-2 ES
	  MP2A -> Media Excel MPEG-2 Audio
	  MP2T -> Media Excel MPEG-2 Transport Stream
	  MP2V -> Media Excel MPEG-2 Video
	  MP4A -> Media Excel MPEG-4 Audio
	  MP4T -> Media Excel MPEG-4 Transport Stream
	  MP4V -> Media Excel MPEG-4 Video
	  NVDS -> nVIDIA GeForce3 Texture(NVDS)
	  NVHS -> nVIDIA GeForce3 Texture(NVHS)
	  NVHU -> nVIDIA GeForce3 Texture(NVHU)
	  PIXL -> Pinnacle Video XL
	  RLE  -> Microsoft RLE
	  SAN3 -> DivX 3.11a Copy
	  SP44 -> Sunplus SP44
	  SP54 -> Sunplus SP54
	  VYU9 -> ATI YUV(VYU9)
	  VYUY -> ATI YUV(VYUY)
	  XVW0 -> XiWave Video(XVW0)
	  XVW1 -> XiWave Video(XVW1)
	  XVW2 -> XiWave Video(XVW2)
	  XVW3 -> XiWave Video(XVW3)
	  XVW4 -> XiWave Video(XVW4)
	  XVW5 -> XiWave Video(XVW5)
	  XVW6 -> XiWave Video(XVW6)
	  XVW7 -> XiWave Video(XVW7)
	  XVW8 -> XiWave Video(XVW8)
	  XVW9 -> XiWave Video(XVW9)

	  以下、全く詳細不明。
	  IR45 -> ?(IR45)
	  VDEC -> ?(VDEC)
	  VQC2 -> ?(VQC2)

	・AVIビデオCodecで以下の名前を修正。

	  MP4S -> Microsoft MPEG4(MP4S)
	  MPG4 -> Microsoft MPEG4(MPG4)
	  MSZH -> AVImszh
	  RV20 -> Real G2
	  RV30 -> Real 8
	
	・ogg再生時のみ、メインウインドウのサイズが少し小さくなっていたのを修正しました。

真空波動研 020818
2002/08/18

	・メインウインドウが肥大化してきたので少し詰めて区間リピート実装前あたりまでの大きさにしてみました。

	・Ogg Vorbisの詳細表示に対応しました。(生のoggストリーム(ACM経由でなはく)を再生できる環境が必要)
	  mp3infpがインストールされている環境では演奏時間も表示します。
	  ビットレートは左からnominal(標準)、maximum(最大)、minimum(最小)です。標準=最大=最小でなければVBRとなります。
	
	・起動時にEAccessViolation例外が出る方へ。
	  かなり前のバージョンのmp3infpでバージョンチェックそのものがうまく出来ない場合があるようです。
	  例外が出た場合、mp3infpを最新版に入れ替えて見てください。それで正常に動くと思います。

真空波動研 020804
2002/08/04

	・詳細で時間を表示できるもの全体で時間表示を従来の分秒から時分秒へ変更しました。

	・m3infpがインストールされいる環境下で、MP3系の詳細にVBRの平均ビットレートを追加しました。

	・プレイリストが空の状態で[連続再生]にチェックが入っていた場合に例外が出ていたのを修正しました。

	・メインウインドウに区間リピートを搭載しました。(音量バーの下です)
	  上側のボタンが始点、下側が終点で、それぞれ現在の再生位置を記憶します。
	  両方記憶してある状態で[■]を押すと区間リピートを開始し、もう一回押すとリピートを終了します。
	  なお、ファイルを移るとリピートは初期化されます。

	  MediaPlayerの仕様上、区間リピートの際に位置ズレが生じる場合がかなりあります。
	  これは個々のフォーマットの特性上仕方の無い事ですので、精密なリピートは期待しないで下さい。


真空波動研 020728
2002/07/28

	・AVIビデオCodecで以下を追加。

	  DX50 -> OpenDivX(DX50)
	  IF09 -> Intel Intermediate YUV9
	  WNIX -> WniWni Video3

	  WNIX(wniwni)はhttp://www.d8.dion.ne.jp/~kaneta/のkaneta@d8.dion.ne.jp氏作のCodecですが、
	  正式名称が解らない為、とりあえず上記の表記にしてあります。

	・AVIビデオCodecで以下の名前を修正。

	  MPEG -> Chromatic MPEG1 Video I Frame
	  DVE2 -> Insoft DVE-2 Videoconferencing

真空波動研 020714
2002/07/14

	・AVIビデオCodecで以下を修正。
	  XVID : XviD MPEG-4 -> XviD MPEG4

	・プレイリストの[リスト]を[リスト編集]へ名前を変更しました。

	・プレイリストから一時停止ボタンと[演奏]->[一時停止]を削除、代りに再生ボタンが一時停止も受持ちます。
	  リスト選択中の曲が既に再生状態であれば一時停止
	  リスト選択中の曲が既に読込まれていて一時停止であれば再生(復帰)
	  リスト選択中の曲が読込まれていない場合は読込み後再生開始

	・プレイリストであちこちのショートカットキーを変えました。
	  かなり変ってます、申訳ないです。

	・プレイリストに[演奏]->[ランダム再生]を付けました。
	  連続再生時に有効になっていれば、ランダムになります。

	・連続再生やリストの項目入れ替え等をする際、
	  選択されてるファイルが画面外(フォーカスが当たったまま可視範囲外)に出ていってしまう事への対策を多少強引な手法で施しておきました。
	  Alt+UpやAlt+Down等で解りやすいと思います。多少違和感ありますが見えないよりマシだと思いますので...

真空波動研 020705
2002/07/05

	※プレイリストのカラムを増やしましたので、プレイリストを使っている方は一度全体再検査をして下さい※

	・プレイリストに[サイズ]カラムを追加しました。

	・プレイリスト下部に今後を考えてステータスバー設置、今の所は[選択項目/登録総数]を表示してます。

	・メインウインドウ上のMediaPlayerではない部分をダブルクリックで[詳細のコピー]が効くように追加しました。
	  サイズ変更等が入っているボックス中も対象です。

	・AVIビデオCodecで以下を追加。

	  RMP4 -> REALMagic MPEG4
	  XVID -> XviD MPEG-4

真空波動研 020621
2002/06/21

	・[表示]->[詳細のコピー]を追加しました。演奏中のファイルの詳細をそのままクリップボードに転送します。

	・[リスト]->[シャッフル]を追加しました。リストの順番をランダムに入れ替えます。

	・[ファイル]->[ファイル以外を開く]のOKとキャンセルボタンを右端に移動しました。

	・[リスト]->[再検査][全ファイル再検査]で、途中でエラーが出た場合にも止まらず続行するように変更しました。

	・メインウインドウのタブ順を修正しました。

	・FullSeekにヒントが付いてなかったので、追加しました。

真空波動研 020610
2002/06/10

	・[ファイル]->[ファイル以外のものを開く]にヒストリ機能を付けました。5件まで残りそれ以上は古い順から消えます。

	・UPX圧縮が一部の環境で動かない模様なので様子見としてしばらくUPXは使わない事にします。

真空波動研 020605
2002/06/05

	・オーディオCodecで以下の修正。
	  0x2000 DVM -> Dolby AC-3
	  音声部がAC3のAVIにて確認を取りました。

	・[連続再生]チェック時、AutoRepeatにチェックが入っていても連続再生が優先されるようなので、
	  チェック時にAutoRepeatのチェックを外さないように変更しました。

真空波動研 020525
2002/05/25

	・プレイリストに付けているショートカットキーでの早送り、巻戻しを本体側にも付けました。
	  フルスクリーン時でもコントロールできます。

真空波動研 020521
2002/05/21

	・フルスクリーン時にシークバーを出すか出さないかの設定を再生コントロールの[FullSeek]に割当てしました。

	・バージョン番号が020504のままになっていたのを修正しました。

真空波動研 020519
2002/05/19

	・プレイリスト上に再生コントロールを配置しました。ショートカットキーも振ってあります。

	・以下、T-Matsuo氏作「mp3infp」が正常に動作している環境の場合のみで対応させました。
	  WMVの詳細表示
	  WMAの詳細表示
	  ASFの詳細表示
	  MP3系全般の時間表示の追加

	  二つとも要望が多い為、自前で対応できるまでmp3infp経由で取得します。

	  今回は追加表示や新詳細があるので、プレイリストは一旦CTRL+F5した方がいいでしょう。

	・真空波動研のレジストリ消去用にdelete.regを同梱しました。画面等からはみ出してそのまま設定残した場合等にどうぞ。
	  実行するだけです。

真空波動研 020509
2002/05/09

	・MP3系全般(MP3,WAVE MP3,RIFF MP3)のチェックを根本から見直しました。取得ミスはかなり減ったと思います。

	・MP3のビットレート表にかなり古いのを使ってた為、最近の表に入替えしました。

真空波動研 020503
2002/05/03

	・最初のシーケンスヘッダまでにゴミがあっても再生可能なMPEG1,MP3の認識強化をしました。
	  ファイル先頭を見て判別できなければ拡張子で再判別させます。

真空波動研 020417
2002/04/17

	・真空波動研側から.shdklを読込めるように変更しました。その時プレイリストが画面上に出ていなければ出します。

	・ID3V2のMP3でのミス取得への強化を施しました。が、一部のLAMEでエンコードしたID3V2のMP3でまだ取得が甘いようです。

真空波動研 020404
2002/04/04

	・オーディオCodecで以下の修正&追加。
	  Ogg Vorbis CODEC for MSACM (c)むつきはじめ の詳細表示に対応しました。
	  FourCCが各modeで異なる為全て調べてみましたが、mode2,mode2+,mode3+が既存のFourCCとかぶります。
	  これに関してはOggの方が将来性と使用実績がありそうなので、Oggに名前を変えます。

	  0x004f Ogg Vorbis(mode1)
	  0x0050 MPEG1 Audio -> Ogg Vorbis(mode2)
	  0x0051 Ogg Vorbis(mode3)
	  0x006f Ogg Vorbis(mode2)
	  0x0070 Voxware AC8 -> Ogg Vorbis(mode2+)
	  0x0071 Voxware AC10 -> Ogg Vorbis(mode3+)

	  Vorbisは仕様上VBRですので、ビットレート表示はあくまでも参考です。(疑似CBRを除く)

	・[常に最前面に表示]の次回起動時に必ずONになってしまうのを修正しました。

	・[常に最前面に表示]がONの際、フルスクリーンにするとウインドウが残ってしまうのを修正しました。
	  フルスクリーンにした際に[常に最前面に表示]はOFFになります。
	  フルスクリーンから戻ってきたのを知る方法が解らないので自動でONに戻りません。注意。

	・MediaPlayerを直接ショートカットキーで操作する際、[ALT+1][ALT+2][ALT+3]だけサポートしました。
	  ※他はサポートしない方向です(キリがない)※

	・ファイルを読替えた際に音量が必ず100%になる事への対策として、音量を真空波動研側で制御するようにしました。
	  MediaPlayer側の変更をした場合にその値が何故か読めない為にこういう形にならざるを得ませんでした。
	  ※MediaPlayerのオプションで変えると表示が矛盾するので変えないで下さい※

真空波動研 020322
2002/03/22

	・AVIビデオCodecで以下を追加。

	 GLCC -> GigaLink Video Codec

	・[プレイリスト]の場所を[表示]の中へ移動しました。

	・[バージョン情報]を[ヘルプ]の中へ移動しました。

	・Readme.txtの表示機能を追加。簡易ヘルプ代りにでも使用して下さい。[ヘルプ] -> [Readme.txt参照]

	・右側のコントロールの表示非表示の切換えを追加しました。[表示] -> [コントロール非表示]

	・特定の環境で真空波動研の終了時に例外が出る件に対しての対策を施しました。

	・常に最前面に表示を追加しました。[表示] -> [常に最前面に表示]

真空波動研 020226
2002/02/26

	・MP3系でVBRのチェックをするように変更しました。
	  手間かかるので平均レートは出しません。あくまで見た目VBRと解るだけです。MP3とID3V2のMP3、RMP3でチェックをしています。

真空波動研 020212
2002/02/12

	・MPEG1動画の音声部詳細取得の精度を上げました。

	・VideoCD形式のMPEG1に対応しました。

	・AVIの詳細表示で音声部のSTEREOを他に合わせて小文字に変更しました。

	・プレイリストの[再検査]を個別と全ファイルに分けました。

	・ファイルが開けなかった場合に例外が出ていたのを修正しました。

	 プレイリストでは[ファイルのオープンに失敗]と詳細に出ます。

真空波動研 020205
2002/02/05

	・AVIビデオCodecで以下の修正(長すぎ,短かすぎ,名前判明その他)

	  HFYU -> Ben Rudiak-Gould Huffyuv

	・MPEG1動画の音声部詳細取得がまだまだ甘いようです。次のバージョンまでに改善予定です。

	・プレイリスト兼一括チェッカが復活しました。一応ですがリスト順の連続再生機能もあります。

	・AVIの詳細表示に再生時間を追加しました。

	・AVIの詳細表示で音声部のビットレートを必ず出すように変更しました。

	・WAVの詳細表示に再生時間とビットレートを追加しました。

	・RIFF MP3(RMP3)に対応しました。詳細表示はMP3と同一です。

	・ID3V2のMP3に対応しました。詳細表示はMP3と同一です。

	・初版からずっとMP3系全般でJointStereoの際、Intensity stereoとMidside stereoの取得に失敗していたのを修正しました。
	  それぞれIとMSで最後に追加されます。無い場合もあります。

真空波動研 020116
2002/01/16

	・音声無しのAVIで音声部の認識でハングするのを修正。先頭から100k以内に見つからなければ、無しと判断します。

	・認識数が合計277種類になりました。

	・AVIビデオCodecで以下の修正(長すぎ,短かすぎ,名前判明その他)

	  XMPG -> XING IFlameOnry MPEG
	  X263 -> Xirlink H.263 Video Codec
	  YUV9 -> Intel Indeo Raw YUV9
	  DMB1 -> Matrox Rainbow Runner MJPEG
	  H260 -> Intel ITU H.260
	  H269 -> Intel ITU H.269
	  JPEG -> Microsoft StillImage JPEG
	  RT21 -> Intel Real Time Video 2.1
	  VCR1 -> ATI Video Codec 1.0
	  VCR2 -> ATI Video Codec 2.0
	  DVCP -> DV Codec(DVCP)
	  DVSD -> DV Codec(DVSD)
	  PIMJ -> Pegasus Imaging Lossless JPEG(PIMJ)
	  AP41 -> AngelPotion MPEG4-V3 Hacked
	  3IVX -> 3ivx Delta x.x
	  IRAW -> Intel YUV(IRAW)
	  MJPG -> Motion JPEG(MJPG)
	  IV30 -> Intel Indeo 3
	  IV31 -> Intel Indeo 3.1
	  IV32 -> Intel Indeo 3.2
	  IV33 -> Intel Indeo 3.3
	  IV34 -> Intel Indeo 3.4
	  IV35 -> Intel Indeo 3.5
	  IV36 -> Intel Indeo 3.6
	  IV37 -> Intel Indeo 3.7
	  IV38 -> Intel Indeo 3.8
	  IV39 -> Intel Indeo 3.9
	  IV40 -> Intel Indeo 4.0
	  IV41 -> Intel Indeo 4.1
	  IV42 -> Intel Indeo 4.2
	  IV43 -> Intel Indeo 4.3
	  IV44 -> Intel Indeo 4.4
	  IV45 -> Intel Indeo 4.5
	  IV46 -> Intel Indeo 4.6
	  IV47 -> Intel Indeo 4.7
	  IV48 -> Intel Indeo 4.8
	  IV49 -> Intel Indeo 4.9
	  IV50 -> Intel Indeo 5.0
	  IAN  -> intel RDX(IAN)
	  RVX  -> intel RDX(RVX)
	  ANIM -> Intel RDX(ANIM)
	  CWLT -> Microsoft Color WLT DIB
	  GWLT -> Microsoft Greyscale WLT DIB

	・AVIビデオCodecで以下を追加。

	  PHMO -> IBM Photomotion
	  VDCT -> Vitec Video Maker Pro DIB
	  YU92 -> Intel YUV(YU92)
	  AASC -> Autodesk Animator
	  ELK0 -> Elsa YUV(ELK0)
	  EKQ0 -> Elsa YUV(EKQ0)
	  ETV1 -> eTreppid Video(ETV1)
	  ETV2 -> eTreppid Video(ETV2)
	  ETVC -> eTreppid Video(ETVC)
	  GLZW -> Motion LZW
	  GPEG -> Motion JPEG(GPEG)
	  MP4S -> Microsoft MPEG4-V?
	  Y41P -> Brooktree YUV 4:1:1
	  PIM1 -> Pegasus Imaging Lossless JPEG(PIM1)
	  PIM2 -> Pegasus Imaging Lossless JPEG(PIM2)
	  YVUY -> Microsoft YVYU 4:2:2
	  YV12 -> Weitek YVU12
	  RLE4 -> Microsoft RLE4
	  RLE8 -> Microsoft RLE8
	  UYVY -> Microsoft UYVY 4:2:2
	  VCR3 -> ATI Video Codec 3.0
	  VCR4 -> ATI Video Codec 4.0
	  VCR5 -> ATI Video Codec 5.0
	  VCR6 -> ATI Video Codec 6.0
	  VCR7 -> ATI Video Codec 7.0
	  VCR8 -> ATI Video Codec 8.0
	  VCR9 -> ATI Video Codec 9.0
	  Y211 -> Microsoft YUV 2:1:1
	  Y411 -> Microsoft YUV 4:1:1 Packed
	  Y41B -> Microsoft YUV 4:1:1 Planar
	  Y41P -> Brooktree PCI 4:1:1
	  Y41T -> Brooktree PC1 4:1:1 with transparency
	  Y42B -> Weitek YUV 4:2:2
	  Y42T -> Brooktree PCI 4:2:2 with transparency
	  I420 -> Intel Indeo 4
	  H261 -> Intel ITU H.261
	  H262 -> Intel ITU H.262
	  H263 -> Intel ITU H.263
	  H264 -> Intel ITU H.264
	  H265 -> Intel ITU H.265
	  H266 -> Intel ITU H.266
	  H267 -> Intel ITU H.267
	  H268 -> Intel ITU H.268
	  3IV0 -> 3ivx Delta 1.0-3.5(3IV0)
	  3IV1 -> 3ivx Delta 1.0-3.5(3IV1)
	  3IV2 -> 3ivx Delta 4.0
	  D261 -> DEC H.261
	  D263 -> DEC H.263
	  CMYK -> Colorgraph 32Bit CMYK
	  CLJR -> Cirrus Logic YUV

	  以下、全く詳細不明。

	  DXT1 -> ?(DXT1)";
	  DXT2 -> ?(DXT2)";
	  DXT3 -> ?(DXT3)";
	  DXT4 -> ?(DXT4)";
	  DXT5 -> ?(DXT5)";
	  VIFP -> ?(VIFP)
	  DVAN -> ?(DVAN)

真空波動研 020106
2002/01/06

	・MPEG1動画の詳細取得にきちんと対応。
	  ※巨大MPEG1動画で音声部検索にかなりの時間がかかる為、先頭100kまでに音声が無ければ無しと判断します。

	・AVIのコーデック名判別にまだ失敗するAVIがあったので、修正。

	・ヒントを2行に分けて表示。

	・ヒントの表示時間を30秒に設定。ゆっくり見れると思います。

	・タスクバーの方にはファイル名だけを出すように変更。

	・[ファイル -> ファイル以外のものを開く]を追加。本家にもありますが、ストリーミング系に使います。
	  ※勿論、詳細表示は出来ません。

	・[読み込みに失敗]と表示されていても、ヒントの方には詳細が出てます。見落さないように注意して下さい。
	  途中で切れているAVIとかはほぼ確実に詳細が出せるはずです。

真空波動研 011023
2001/10/23

	・MP3の詳細はやはり拾いすぎで時間がべらぼうにかかる場合があるので、中止。
	 これはAVIの音声がMP3だった場合の話で、WAVE MP3等は変更無しです。

	・ビデオCodecで以下の修正。
	  DVSD -> DV Codec
	  VP30 -> On2 Open-Source VP3(VP30)
	  VP31 -> On2 Open-Source VP3(VP31)

	  DVSDに関してはあちこちのメーカーが同じ名前でこのCodecなので、判別できません。とりあえずDVCodecなのはわかりました。

	・追加。

	  DVCP -> DV Codec
	  WMV1 -> Windows Media Video 7
	  WMV2 -> Windows Media Video 8

	・本当かどうか怪しいですが、追加。

	  DIV2 -> Microsoft MPEG4-V1/V2


	・新旧さらに別海賊版入り乱れて分類しようにできなくなったので、以下は全てOpenDivXに統一。

	  DIVX -> OpenDivX(DIVX)
	  DIV3 -> OpenDivX(DIV3)
	  DIV4 -> OpenDivX(DIV4)
	  DIV5 -> OpenDivX(DIV5)
	  DIV6 -> OpenDivX(DIV6)
	  AP41 -> OpenDivX(AP41)	 

	・オーディオCodecで以下の修正。

	・0x50と0x55はF-IIS MP3だけではないのが判明したので、表記変更しました。
	  0x50 -> MPEG1-Audio
	  0x55 -> MPEG1-Layer3

	・追加は50以上あるんですが、省略します...


真空波動研 010812
2001/08/12

	・ヒントが波動研のままだった箇所があったので修正。

	・AutoStartも変更可能に。

	・多重起動の許可、不許可の設定を追加。

	・多重起動、Position、AutoStart、AutoRewind、AutoRepeatの状態を記憶するように変更。

真空波動研 010731
2001/07/31

	・AVIのコーデック名判別を214種類に増加。

	・無圧縮AVIが判別できなかったのを修正。

真空波動研 010708
2001/07/08

	・初版。

------------------------------------------------------
黒羽製作所
http://kurohane.net/
kurohane@kurohane.net
